/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_ATTACH_PROBE_SKEL_H__
#define __TEST_ATTACH_PROBE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_attach_probe {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *rodata_str1_1;
		struct bpf_map *kconfig;
	} maps;
	struct {
		struct bpf_program *handle_kprobe_auto;
		struct bpf_program *handle_kretprobe_auto;
		struct bpf_program *handle_uprobe_ref_ctr;
		struct bpf_program *handle_uprobe_byname;
		struct bpf_program *handle_uprobe_byname2;
		struct bpf_program *handle_uretprobe_ref_ctr;
		struct bpf_program *handle_uretprobe_byname2;
		struct bpf_program *handle_uretprobe_byname;
		struct bpf_program *handle_uprobe_byname3_sleepable;
		struct bpf_program *handle_uprobe_byname3;
		struct bpf_program *handle_uretprobe_byname3_sleepable;
		struct bpf_program *handle_uretprobe_byname3;
	} progs;
	struct {
		struct bpf_link *handle_kprobe_auto;
		struct bpf_link *handle_kretprobe_auto;
		struct bpf_link *handle_uprobe_ref_ctr;
		struct bpf_link *handle_uprobe_byname;
		struct bpf_link *handle_uprobe_byname2;
		struct bpf_link *handle_uretprobe_ref_ctr;
		struct bpf_link *handle_uretprobe_byname2;
		struct bpf_link *handle_uretprobe_byname;
		struct bpf_link *handle_uprobe_byname3_sleepable;
		struct bpf_link *handle_uprobe_byname3;
		struct bpf_link *handle_uretprobe_byname3_sleepable;
		struct bpf_link *handle_uretprobe_byname3;
	} links;
	struct test_attach_probe__bss {
		int kprobe2_res;
		int kretprobe2_res;
		int uprobe_byname_res;
		int uretprobe_byname_res;
		int uprobe_byname2_res;
		int uretprobe_byname2_res;
		int uprobe_byname3_sleepable_res;
		int uprobe_byname3_res;
		int uretprobe_byname3_sleepable_res;
		int uretprobe_byname3_res;
		void *user_ptr;
	} *bss;
	struct test_attach_probe__kconfig {
		_Bool LINUX_HAS_SYSCALL_WRAPPER;
	} *kconfig;

#ifdef __cplusplus
	static inline struct test_attach_probe *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_attach_probe *open_and_load();
	static inline int load(struct test_attach_probe *skel);
	static inline int attach(struct test_attach_probe *skel);
	static inline void detach(struct test_attach_probe *skel);
	static inline void destroy(struct test_attach_probe *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_attach_probe__destroy(struct test_attach_probe *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_attach_probe__create_skeleton(struct test_attach_probe *obj);

static inline struct test_attach_probe *
test_attach_probe__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_attach_probe *obj;
	int err;

	obj = (struct test_attach_probe *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_attach_probe__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_attach_probe__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_attach_probe *
test_attach_probe__open(void)
{
	return test_attach_probe__open_opts(NULL);
}

static inline int
test_attach_probe__load(struct test_attach_probe *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_attach_probe *
test_attach_probe__open_and_load(void)
{
	struct test_attach_probe *obj;
	int err;

	obj = test_attach_probe__open();
	if (!obj)
		return NULL;
	err = test_attach_probe__load(obj);
	if (err) {
		test_attach_probe__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_attach_probe__attach(struct test_attach_probe *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_attach_probe__detach(struct test_attach_probe *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_attach_probe__elf_bytes(size_t *sz);

static inline int
test_attach_probe__create_skeleton(struct test_attach_probe *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_attach_probe";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_att.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	s->maps[1].name = ".rodata.str1.1";
	s->maps[1].map = &obj->maps.rodata_str1_1;

	s->maps[2].name = "test_at.kconfig";
	s->maps[2].map = &obj->maps.kconfig;
	s->maps[2].mmaped = (void **)&obj->kconfig;

	/* programs */
	s->prog_cnt = 12;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handle_kprobe_auto";
	s->progs[0].prog = &obj->progs.handle_kprobe_auto;
	s->progs[0].link = &obj->links.handle_kprobe_auto;

	s->progs[1].name = "handle_kretprobe_auto";
	s->progs[1].prog = &obj->progs.handle_kretprobe_auto;
	s->progs[1].link = &obj->links.handle_kretprobe_auto;

	s->progs[2].name = "handle_uprobe_ref_ctr";
	s->progs[2].prog = &obj->progs.handle_uprobe_ref_ctr;
	s->progs[2].link = &obj->links.handle_uprobe_ref_ctr;

	s->progs[3].name = "handle_uprobe_byname";
	s->progs[3].prog = &obj->progs.handle_uprobe_byname;
	s->progs[3].link = &obj->links.handle_uprobe_byname;

	s->progs[4].name = "handle_uprobe_byname2";
	s->progs[4].prog = &obj->progs.handle_uprobe_byname2;
	s->progs[4].link = &obj->links.handle_uprobe_byname2;

	s->progs[5].name = "handle_uretprobe_ref_ctr";
	s->progs[5].prog = &obj->progs.handle_uretprobe_ref_ctr;
	s->progs[5].link = &obj->links.handle_uretprobe_ref_ctr;

	s->progs[6].name = "handle_uretprobe_byname2";
	s->progs[6].prog = &obj->progs.handle_uretprobe_byname2;
	s->progs[6].link = &obj->links.handle_uretprobe_byname2;

	s->progs[7].name = "handle_uretprobe_byname";
	s->progs[7].prog = &obj->progs.handle_uretprobe_byname;
	s->progs[7].link = &obj->links.handle_uretprobe_byname;

	s->progs[8].name = "handle_uprobe_byname3_sleepable";
	s->progs[8].prog = &obj->progs.handle_uprobe_byname3_sleepable;
	s->progs[8].link = &obj->links.handle_uprobe_byname3_sleepable;

	s->progs[9].name = "handle_uprobe_byname3";
	s->progs[9].prog = &obj->progs.handle_uprobe_byname3;
	s->progs[9].link = &obj->links.handle_uprobe_byname3;

	s->progs[10].name = "handle_uretprobe_byname3_sleepable";
	s->progs[10].prog = &obj->progs.handle_uretprobe_byname3_sleepable;
	s->progs[10].link = &obj->links.handle_uretprobe_byname3_sleepable;

	s->progs[11].name = "handle_uretprobe_byname3";
	s->progs[11].prog = &obj->progs.handle_uretprobe_byname3;
	s->progs[11].link = &obj->links.handle_uretprobe_byname3;

	s->data = test_attach_probe__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_attach_probe__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1f\x60\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x1a\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6b\x73\x79\
\x73\x63\x61\x6c\x6c\x2f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x6b\x72\x65\x74\
\x73\x79\x73\x63\x61\x6c\x6c\x2f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x75\x70\
\x72\x6f\x62\x65\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\0\x75\x72\x65\x74\x70\
\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\
\x3a\x74\x72\x69\x67\x67\x65\x72\x5f\x66\x75\x6e\x63\x32\0\x75\x70\x72\x6f\x62\
\x65\x2e\x73\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\
\x74\x72\x69\x67\x67\x65\x72\x5f\x66\x75\x6e\x63\x33\0\x75\x70\x72\x6f\x62\x65\
\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x72\x69\
\x67\x67\x65\x72\x5f\x66\x75\x6e\x63\x33\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\
\x2e\x73\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\
\x72\x69\x67\x67\x65\x72\x5f\x66\x75\x6e\x63\x33\0\x75\x72\x65\x74\x70\x72\x6f\
\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\
\x72\x69\x67\x67\x65\x72\x5f\x66\x75\x6e\x63\x33\0\x2e\x62\x73\x73\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\x2e\x73\x74\x72\x31\x2e\x31\
\0\x74\x65\x73\x74\x5f\x61\x74\x74\x61\x63\x68\x5f\x70\x72\x6f\x62\x65\x2e\x63\
\0\x4c\x42\x42\x30\x5f\x32\0\x4c\x42\x42\x30\x5f\x33\0\x4c\x42\x42\x36\x5f\x33\
\0\x4c\x42\x42\x38\x5f\x32\0\x4c\x42\x42\x31\x30\x5f\x32\0\x68\x61\x6e\x64\x6c\
\x65\x5f\x6b\x70\x72\x6f\x62\x65\x5f\x61\x75\x74\x6f\0\x4c\x49\x4e\x55\x58\x5f\
\x48\x41\x53\x5f\x53\x59\x53\x43\x41\x4c\x4c\x5f\x57\x52\x41\x50\x50\x45\x52\0\
\x6b\x70\x72\x6f\x62\x65\x32\x5f\x72\x65\x73\0\x68\x61\x6e\x64\x6c\x65\x5f\x6b\
\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x61\x75\x74\x6f\0\x6b\x72\x65\x74\x70\x72\
\x6f\x62\x65\x32\x5f\x72\x65\x73\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\
\x62\x65\x5f\x72\x65\x66\x5f\x63\x74\x72\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x72\
\x65\x74\x70\x72\x6f\x62\x65\x5f\x72\x65\x66\x5f\x63\x74\x72\0\x68\x61\x6e\x64\
\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\0\x75\x70\x72\
\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x5f\x72\x65\x73\0\x68\x61\x6e\x64\x6c\
\x65\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\0\x75\
\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x5f\x72\x65\x73\0\
\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\
\x65\x32\0\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\x72\x65\
\x73\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\
\x79\x6e\x61\x6d\x65\x32\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\
\x61\x6d\x65\x32\x5f\x72\x65\x73\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\
\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x33\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\
\x65\0\x75\x73\x65\x72\x5f\x70\x74\x72\0\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\
\x6e\x61\x6d\x65\x33\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x5f\x72\x65\x73\0\
\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\
\x65\x33\0\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x33\x5f\x72\x65\
\x73\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\
\x79\x6e\x61\x6d\x65\x33\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x75\x72\x65\
\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x33\x5f\x73\x6c\x65\x65\
\x70\x61\x62\x6c\x65\x5f\x72\x65\x73\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x72\x65\
\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x33\0\x75\x72\x65\x74\x70\
\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x33\x5f\x72\x65\x73\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x6b\x73\x79\x73\x63\x61\x6c\x6c\x2f\x6e\
\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x2e\x72\x65\x6c\x6b\x72\x65\x74\x73\x79\x73\
\x63\x61\x6c\x6c\x2f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x2e\x72\x65\x6c\x75\
\x70\x72\x6f\x62\x65\0\x2e\x72\x65\x6c\x75\x72\x65\x74\x70\x72\x6f\x62\x65\0\
\x2e\x72\x65\x6c\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\
\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x72\x69\x67\x67\x65\x72\x5f\x66\
\x75\x6e\x63\x32\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\x2e\x73\x2f\x2f\x70\
\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x72\x69\x67\x67\x65\
\x72\x5f\x66\x75\x6e\x63\x33\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\x2f\x2f\
\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x72\x69\x67\x67\
\x65\x72\x5f\x66\x75\x6e\x63\x33\0\x2e\x72\x65\x6c\x75\x72\x65\x74\x70\x72\x6f\
\x62\x65\x2e\x73\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\
\x3a\x74\x72\x69\x67\x67\x65\x72\x5f\x66\x75\x6e\x63\x33\0\x2e\x72\x65\x6c\x75\
\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\
\x2f\x65\x78\x65\x3a\x74\x72\x69\x67\x67\x65\x72\x5f\x66\x75\x6e\x63\x33\0\x2e\
\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\x28\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x3c\0\0\0\x03\0\0\0\
\0\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\x01\x43\0\0\0\x03\0\0\0\0\0\0\0\xc8\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x05\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x4a\0\0\0\
\x05\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\x51\0\0\0\x08\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x0a\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\x58\0\0\0\x0a\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x0e\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x60\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xf8\0\0\x01\x73\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x8d\x11\0\0\
\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x01\x99\x12\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x28\0\0\x01\xaf\x11\0\0\x0c\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x04\
\0\0\x01\xbe\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\x01\xd4\x12\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\x01\xed\x12\0\0\x05\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x28\0\0\x02\x02\x11\0\0\x0c\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x04\0\0\x02\x14\x12\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\x02\x2c\x11\
\0\0\x0c\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\x04\0\0\x02\x41\x12\0\0\x05\0\0\0\0\0\
\0\0\x38\0\0\0\0\0\0\0\x78\0\0\x02\x57\x11\0\0\x0c\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\x04\0\0\x02\x6a\x12\0\0\x06\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x28\0\0\x02\
\x83\x11\0\0\x0c\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\x04\0\0\x02\x99\x12\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\0\0\x02\xb9\x11\0\0\x0c\0\0\0\0\0\0\0\x28\0\0\
\0\0\0\0\0\x08\0\0\x02\xc2\x11\0\0\x0c\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x04\0\0\
\x02\xdf\x12\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\x02\xf5\x11\0\0\x0c\
\0\0\0\0\0\0\0\x1c\0\0\0\0\0\0\0\x04\0\0\x03\x08\x12\0\0\x0a\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x98\0\0\x03\x2b\x11\0\0\x0c\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x04\0\
\0\x03\x4b\x12\0\0\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\x03\x64\x11\0\0\
\x0c\0\0\0\0\0\0\0\x24\0\0\0\0\0\0\0\x04\0\0\x03\x7a\x11\0\0\x0d\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x04\xbf\x31\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x71\x11\0\0\0\0\0\0\x16\x10\0\x0f\0\0\0\0\x79\x63\0\x28\0\0\0\0\xb7\x10\0\0\0\
\0\0\0\xbf\x36\0\0\0\0\0\0\x0f\x31\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\
\xff\xff\xff\xf8\xb4\x20\0\0\0\0\0\x08\x85\0\0\0\0\0\0\x71\xb7\x10\0\0\0\0\0\
\x30\x0f\x61\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\xb4\
\x20\0\0\0\0\0\x08\xbf\x36\0\0\0\0\0\0\x05\0\0\x05\0\0\0\0\xb7\x10\0\0\0\0\0\0\
\x0f\x31\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\xb4\x20\0\
\0\0\0\0\x08\x85\0\0\0\0\0\0\x71\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\x10\0\
\0\0\0\0\x0b\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x01\0\x28\0\0\0\0\x18\x10\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\x10\0\0\0\0\0\x16\x95\0\0\0\0\0\0\0\xb4\0\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\x10\0\0\0\0\
\0\x05\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x31\0\x30\0\0\0\0\x6a\xa0\xff\
\xfe\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xfe\xb4\x20\0\0\0\0\0\
\x02\x85\0\0\0\0\0\0\x70\x71\x1a\xff\xfe\0\0\0\0\x56\x10\0\x05\0\0\0\x72\x71\
\x1a\xff\xff\0\0\0\0\x56\x10\0\x03\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x62\x10\0\0\0\0\0\x07\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\x10\0\0\0\0\0\x08\
\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\
\x10\0\0\0\0\0\x06\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x79\x31\0\0\0\0\0\0\xbf\x6a\0\0\0\0\0\0\x07\x60\0\0\xff\xff\xff\
\xf7\xbf\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x09\x85\0\0\0\0\0\0\x94\xbf\x16\0\0\
\0\0\0\0\xb4\x20\0\0\0\0\0\x09\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\
\0\0\xb6\x55\0\0\x03\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\x10\0\0\0\
\0\0\x09\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x62\x10\0\0\0\0\0\x0a\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x79\x31\0\0\0\0\0\0\xbf\x6a\0\0\0\0\0\0\x07\x60\0\0\xff\xff\
\xff\xf7\xbf\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x09\x85\0\0\0\0\0\0\x94\xbf\x16\
\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x09\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\
\0\0\0\0\xb6\x55\0\0\x03\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\x10\0\
\0\0\0\0\x0b\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x62\x10\0\0\0\0\0\x0c\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\
\x74\x65\x73\x74\x5f\x64\x61\x74\x61\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x12\0\0\0\
\x01\0\0\0\0\0\0\0\xd0\0\0\0\x13\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\x15\0\0\0\
\x01\0\0\0\0\0\0\0\x10\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x88\0\0\0\x1d\0\0\0\
\x01\0\0\0\0\0\0\0\x10\0\0\0\x1f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\x21\0\0\0\x01\0\0\0\0\0\0\0\x50\0\0\0\x10\0\0\0\x01\0\0\
\0\0\0\0\0\x70\0\0\0\x22\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x24\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\x21\0\0\0\x01\0\0\0\0\0\0\0\x50\0\0\0\x10\0\0\0\x01\0\0\0\0\0\0\
\0\x70\0\0\0\x26\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x01\xeb\x9f\x01\0\0\
\0\0\x18\0\0\0\0\0\0\x05\x10\0\0\x05\x10\0\0\x08\x3f\0\0\0\0\x02\0\0\0\0\0\0\
\x02\0\0\0\x01\x04\0\0\x06\0\0\0\xc8\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\x09\0\0\0\
\x06\0\0\x04\xc0\0\0\0\0\0\0\0\x0c\0\0\x05\0\0\0\0\x13\0\0\0\x06\0\0\x05\x80\0\
\0\0\x19\0\0\0\x06\0\0\x05\xc0\0\0\0\x1d\0\0\0\x06\0\0\x06\0\0\0\0\0\x05\0\0\
\x02\0\0\0\x98\0\0\0\x28\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\x32\
\x08\0\0\0\0\0\0\x05\0\0\0\0\x04\0\0\x03\0\0\0\x98\0\0\0\x3f\0\0\0\x07\0\0\0\0\
\0\0\0\x44\0\0\0\x09\0\0\0\x40\0\0\0\x48\0\0\0\x0b\0\0\0\xc0\0\0\0\x4d\x01\0\0\
\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x08\0\0\0\x01\
\0\0\0\x5b\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\x6f\x08\0\0\0\0\0\0\x0a\0\0\0\0\
\x04\0\0\x02\0\0\0\x10\0\0\0\x75\0\0\0\x06\0\0\0\0\0\0\0\x7a\0\0\0\x06\0\0\0\
\x40\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x08\0\0\0\x10\0\0\0\0\x05\0\0\
\x02\0\0\0\x10\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\x7f\0\0\0\x0f\0\0\0\0\0\0\0\0\
\x04\0\0\x03\0\0\0\x10\0\0\0\x88\0\0\0\x0e\0\0\0\0\0\0\0\x91\0\0\0\x0e\0\0\0\
\x20\0\0\0\x9a\0\0\0\x06\0\0\0\x40\0\0\0\xa8\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\
\0\x7f\x84\0\0\x06\0\0\0\x0c\0\0\0\xb5\0\0\0\x10\0\0\0\0\0\0\0\xbb\0\0\0\x12\0\
\0\0\x20\0\0\0\xc3\0\0\0\x12\x01\0\0\x40\0\0\0\xce\0\0\0\x12\x01\0\0\x41\0\0\0\
\xdb\0\0\0\x12\x03\0\0\x42\0\0\0\xdf\0\0\0\x12\x03\0\0\x51\0\0\0\xe4\x84\0\0\
\x05\0\0\0\x04\0\0\0\xf2\0\0\0\x11\x08\0\0\0\0\0\0\xf8\0\0\0\x11\x01\0\0\x0c\0\
\0\0\xfa\0\0\0\x11\x02\0\0\x0d\0\0\0\xff\0\0\0\x11\x01\0\0\x0f\0\0\x01\x03\0\0\
\0\x11\x10\0\0\x10\0\0\x01\x0a\x08\0\0\0\0\0\0\x0e\0\0\x01\x10\x08\0\0\0\0\0\0\
\x11\0\0\0\0\x0d\0\0\x01\0\0\0\x14\0\0\x01\x14\0\0\0\x01\0\0\x01\x18\x01\0\0\0\
\0\0\0\x04\x01\0\0\x20\0\0\x01\x1c\x0c\0\0\x01\0\0\0\x13\0\0\x01\x2f\x04\0\0\
\x01\0\0\0\x08\0\0\0\x09\0\0\0\x06\0\0\0\0\0\0\x01\x3e\x0c\0\0\x01\0\0\0\x13\0\
\0\x01\x54\x0c\0\0\x01\0\0\0\x13\0\0\x01\x6a\x0c\0\0\x01\0\0\0\x13\0\0\x01\x83\
\x0c\0\0\x01\0\0\0\x13\0\0\x01\x98\x0c\0\0\x01\0\0\0\x13\0\0\x01\xb0\x0c\0\0\
\x01\0\0\0\x13\0\0\x01\xc6\x0c\0\0\x01\0\0\0\x13\0\0\x01\xdf\x0c\0\0\x01\0\0\0\
\x13\0\0\x01\xff\x0c\0\0\x01\0\0\0\x13\0\0\x02\x15\x0c\0\0\x01\0\0\0\x13\0\0\
\x02\x38\x0c\0\0\x01\0\0\0\x13\0\0\x02\x51\x0e\0\0\0\0\0\0\x14\0\0\0\x01\0\0\
\x02\x5d\x0e\0\0\0\0\0\0\x14\0\0\0\x01\0\0\x02\x6c\x0e\0\0\0\0\0\0\x14\0\0\0\
\x01\0\0\x02\x7e\x0e\0\0\0\0\0\0\x14\0\0\0\x01\0\0\x02\x93\x0e\0\0\0\0\0\0\x14\
\0\0\0\x01\0\0\x02\xa6\x0e\0\0\0\0\0\0\x14\0\0\0\x01\0\0\x02\xbc\x0e\0\0\0\0\0\
\0\x14\0\0\0\x01\0\0\x02\xd9\x0e\0\0\0\0\0\0\x14\0\0\0\x01\0\0\x02\xec\x0e\0\0\
\0\0\0\0\x14\0\0\0\x01\0\0\x03\x0c\x0e\0\0\0\0\0\0\x14\0\0\0\x01\0\0\0\0\x02\0\
\0\0\0\0\0\0\0\0\x03\x22\x0e\0\0\0\0\0\0\x2c\0\0\0\x01\0\0\x03\x2b\x01\0\0\0\0\
\0\0\x01\x04\0\0\x08\0\0\x03\x31\x0e\0\0\0\0\0\0\x2e\0\0\0\x02\0\0\x03\x4b\x01\
\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x08\0\0\
\0\x04\0\0\x03\x50\x0e\0\0\0\0\0\0\x31\0\0\0\x01\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\x30\0\0\0\x08\0\0\0\x0a\0\0\x07\x2e\x0f\0\0\x0b\0\0\0\x30\0\0\0\x22\0\0\0\0\
\0\0\0\x04\0\0\0\x23\0\0\0\x04\0\0\0\x04\0\0\0\x24\0\0\0\x08\0\0\0\x04\0\0\0\
\x25\0\0\0\x0c\0\0\0\x04\0\0\0\x26\0\0\0\x10\0\0\0\x04\0\0\0\x27\0\0\0\x14\0\0\
\0\x04\0\0\0\x28\0\0\0\x18\0\0\0\x04\0\0\0\x29\0\0\0\x1c\0\0\0\x04\0\0\0\x2a\0\
\0\0\x20\0\0\0\x04\0\0\0\x2b\0\0\0\x24\0\0\0\x04\0\0\0\x2d\0\0\0\x28\0\0\0\x08\
\0\0\x07\x33\x0f\0\0\x01\0\0\0\x04\0\0\0\x32\0\0\0\0\0\0\0\x04\0\0\x07\x3b\x0f\
\0\0\x01\0\0\0\0\0\0\0\x2f\0\0\0\0\0\0\0\x01\0\x70\x74\x5f\x72\x65\x67\x73\0\
\x6f\x72\x69\x67\x5f\x67\x70\x72\x32\0\x66\x6c\x61\x67\x73\0\x63\x72\x31\0\x6c\
\x61\x73\x74\x5f\x62\x72\x65\x61\x6b\0\x75\x73\x65\x72\x5f\x72\x65\x67\x73\0\
\x75\x73\x65\x72\x5f\x70\x74\x5f\x72\x65\x67\x73\0\x61\x72\x67\x73\0\x70\x73\
\x77\0\x67\x70\x72\x73\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x70\x73\x77\x5f\x74\0\x6d\x61\x73\x6b\0\x61\x64\x64\x72\0\x74\x70\x69\x5f\x69\
\x6e\x66\x6f\0\x69\x6e\x74\x5f\x63\x6f\x64\x65\0\x69\x6e\x74\x5f\x70\x61\x72\
\x6d\0\x69\x6e\x74\x5f\x70\x61\x72\x6d\x5f\x6c\x6f\x6e\x67\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x73\x63\x68\x69\x64\0\x69\x6e\x74\x70\x61\
\x72\x6d\0\x61\x64\x61\x70\x74\x65\x72\x5f\x49\x4f\0\x64\x69\x72\x65\x63\x74\
\x65\x64\x5f\x69\x72\x71\0\x69\x73\x63\0\x74\x79\x70\x65\0\x73\x75\x62\x63\x68\
\x61\x6e\x6e\x65\x6c\x5f\x69\x64\0\x63\x73\x73\x69\x64\0\x6d\0\x73\x73\x69\x64\
\0\x6f\x6e\x65\0\x73\x63\x68\x5f\x6e\x6f\0\x5f\x5f\x75\x33\x32\0\x75\x33\x32\0\
\x63\x74\x78\0\x69\x6e\x74\0\x68\x61\x6e\x64\x6c\x65\x5f\x6b\x70\x72\x6f\x62\
\x65\x5f\x61\x75\x74\x6f\0\x70\x74\x5f\x72\x65\x67\x73\x5f\x5f\x5f\x73\x33\x39\
\x30\0\x68\x61\x6e\x64\x6c\x65\x5f\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x61\
\x75\x74\x6f\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\x5f\x72\x65\
\x66\x5f\x63\x74\x72\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x72\x65\x74\x70\x72\x6f\
\x62\x65\x5f\x72\x65\x66\x5f\x63\x74\x72\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\
\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\
\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\0\x68\x61\x6e\x64\
\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\0\x68\x61\
\x6e\x64\x6c\x65\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\
\x6d\x65\x32\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\
\x6e\x61\x6d\x65\x33\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x68\x61\x6e\x64\
\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x33\0\x68\x61\
\x6e\x64\x6c\x65\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\
\x6d\x65\x33\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x68\x61\x6e\x64\x6c\x65\
\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x33\0\x6b\
\x70\x72\x6f\x62\x65\x32\x5f\x72\x65\x73\0\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\
\x32\x5f\x72\x65\x73\0\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x5f\
\x72\x65\x73\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\
\x5f\x72\x65\x73\0\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\
\x72\x65\x73\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\
\x32\x5f\x72\x65\x73\0\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x33\
\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x5f\x72\x65\x73\0\x75\x70\x72\x6f\x62\
\x65\x5f\x62\x79\x6e\x61\x6d\x65\x33\x5f\x72\x65\x73\0\x75\x72\x65\x74\x70\x72\
\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x33\x5f\x73\x6c\x65\x65\x70\x61\x62\
\x6c\x65\x5f\x72\x65\x73\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\
\x61\x6d\x65\x33\x5f\x72\x65\x73\0\x75\x73\x65\x72\x5f\x70\x74\x72\0\x5f\x42\
\x6f\x6f\x6c\0\x4c\x49\x4e\x55\x58\x5f\x48\x41\x53\x5f\x53\x59\x53\x43\x41\x4c\
\x4c\x5f\x57\x52\x41\x50\x50\x45\x52\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x35\x31\x36\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\
\x2e\x30\x2d\x35\x31\x36\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x61\
\x74\x74\x61\x63\x68\x5f\x70\x72\x6f\x62\x65\x2e\x63\0\x69\x6e\x74\x20\x42\x50\
\x46\x5f\x4b\x53\x59\x53\x43\x41\x4c\x4c\x28\x68\x61\x6e\x64\x6c\x65\x5f\x6b\
\x70\x72\x6f\x62\x65\x5f\x61\x75\x74\x6f\x2c\x20\x73\x74\x72\x75\x63\x74\x20\
\x5f\x5f\x6b\x65\x72\x6e\x65\x6c\x5f\x74\x69\x6d\x65\x73\x70\x65\x63\x20\x2a\
\x72\x65\x71\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x6b\x65\x72\x6e\x65\
\x6c\x5f\x74\x69\x6d\x65\x73\x70\x65\x63\x20\x2a\x72\x65\x6d\x29\0\x09\x6b\x70\
\x72\x6f\x62\x65\x32\x5f\x72\x65\x73\x20\x3d\x20\x31\x31\x3b\0\x69\x6e\x74\x20\
\x42\x50\x46\x5f\x4b\x52\x45\x54\x50\x52\x4f\x42\x45\x28\x68\x61\x6e\x64\x6c\
\x65\x5f\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x61\x75\x74\x6f\x2c\x20\x69\
\x6e\x74\x20\x72\x65\x74\x29\0\x09\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x32\x5f\
\x72\x65\x73\x20\x3d\x20\x32\x32\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\
\0\x09\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x5f\x72\x65\x73\x20\
\x3d\x20\x35\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x55\x50\x52\x4f\x42\x45\x28\
\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\
\x65\x32\x2c\x20\x63\x6f\x6e\x73\x74\x20\x63\x68\x61\x72\x20\x2a\x70\x61\x74\
\x68\x6e\x61\x6d\x65\x2c\x20\x63\x6f\x6e\x73\x74\x20\x63\x68\x61\x72\x20\x2a\
\x6d\x6f\x64\x65\x29\0\x09\x63\x68\x61\x72\x20\x6d\x6f\x64\x65\x5f\x62\x75\x66\
\x5b\x32\x5d\x20\x3d\x20\x7b\x7d\x3b\0\x09\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\
\x5f\x72\x65\x61\x64\x5f\x75\x73\x65\x72\x28\x6d\x6f\x64\x65\x5f\x62\x75\x66\
\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x6d\x6f\x64\x65\x5f\x62\x75\x66\x29\x2c\
\x20\x6d\x6f\x64\x65\x29\x3b\0\x09\x69\x66\x20\x28\x6d\x6f\x64\x65\x5f\x62\x75\
\x66\x5b\x30\x5d\x20\x3d\x3d\x20\x27\x72\x27\x20\x26\x26\x20\x6d\x6f\x64\x65\
\x5f\x62\x75\x66\x5b\x31\x5d\x20\x3d\x3d\x20\x30\x29\0\x09\x09\x75\x70\x72\x6f\
\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\x72\x65\x73\x20\x3d\x20\x37\x3b\0\
\x09\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\
\x72\x65\x73\x20\x3d\x20\x38\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x55\x52\x45\
\x54\x50\x52\x4f\x42\x45\x28\x68\x61\x6e\x64\x6c\x65\x5f\x75\x72\x65\x74\x70\
\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x2c\x20\x76\x6f\x69\x64\x20\
\x2a\x72\x65\x74\x29\0\x09\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\
\x61\x6d\x65\x5f\x72\x65\x73\x20\x3d\x20\x36\x3b\0\x09\x62\x70\x66\x5f\x63\x6f\
\x70\x79\x5f\x66\x72\x6f\x6d\x5f\x75\x73\x65\x72\x28\x64\x61\x74\x61\x2c\x20\
\x73\x69\x7a\x65\x6f\x66\x28\x64\x61\x74\x61\x29\x2c\x20\x75\x73\x65\x72\x5f\
\x70\x74\x72\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x73\x74\
\x72\x6e\x63\x6d\x70\x28\x64\x61\x74\x61\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\
\x64\x61\x74\x61\x29\x2c\x20\x22\x74\x65\x73\x74\x5f\x64\x61\x74\x61\x22\x29\
\x20\x3d\x3d\x20\x30\x3b\0\x09\x69\x66\x20\x28\x76\x65\x72\x69\x66\x79\x5f\x73\
\x6c\x65\x65\x70\x61\x62\x6c\x65\x5f\x75\x73\x65\x72\x5f\x63\x6f\x70\x79\x28\
\x29\x29\0\x09\x09\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x33\x5f\
\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x5f\x72\x65\x73\x20\x3d\x20\x39\x3b\0\x09\
\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x33\x5f\x72\x65\x73\x20\
\x3d\x20\x31\x30\x3b\0\x09\x09\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\
\x6e\x61\x6d\x65\x33\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x5f\x72\x65\x73\
\x20\x3d\x20\x31\x31\x3b\0\x09\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\
\x6e\x61\x6d\x65\x33\x5f\x72\x65\x73\x20\x3d\x20\x31\x32\x3b\0\x30\x3a\x32\x3a\
\x32\0\x30\x3a\x30\0\x30\x3a\x32\x3a\x33\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x6b\x63\x6f\x6e\x66\x69\x67\0\x6b\x73\x79\x73\x63\x61\x6c\
\x6c\x2f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x6b\x72\x65\x74\x73\x79\x73\x63\
\x61\x6c\x6c\x2f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x75\x70\x72\x6f\x62\x65\
\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\
\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x72\x69\
\x67\x67\x65\x72\x5f\x66\x75\x6e\x63\x32\0\x75\x70\x72\x6f\x62\x65\x2e\x73\x2f\
\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x72\x69\x67\
\x67\x65\x72\x5f\x66\x75\x6e\x63\x33\0\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\
\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x72\x69\x67\x67\x65\x72\
\x5f\x66\x75\x6e\x63\x33\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x2e\x73\x2f\x2f\
\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x72\x69\x67\x67\
\x65\x72\x5f\x66\x75\x6e\x63\x33\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\x2f\
\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x72\x69\x67\x67\
\x65\x72\x5f\x66\x75\x6e\x63\x33\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\xac\
\0\0\0\xac\0\0\x03\x1c\0\0\x03\xc8\0\0\0\x7c\0\0\0\x08\0\0\x07\x44\0\0\0\x01\0\
\0\0\0\0\0\0\x15\0\0\x07\x57\0\0\0\x01\0\0\0\0\0\0\0\x17\0\0\x07\x6d\0\0\0\x03\
\0\0\0\0\0\0\0\x18\0\0\0\x10\0\0\0\x1a\0\0\0\x38\0\0\0\x1c\0\0\x07\x74\0\0\0\
\x02\0\0\0\0\0\0\0\x19\0\0\0\x10\0\0\0\x1d\0\0\x07\x7e\0\0\0\x01\0\0\0\0\0\0\0\
\x1b\0\0\x07\xa5\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\x07\xcb\0\0\0\x01\0\0\0\0\0\0\
\0\x1f\0\0\x07\xef\0\0\0\x01\0\0\0\0\0\0\0\x20\0\0\x08\x18\0\0\0\x01\0\0\0\0\0\
\0\0\x21\0\0\0\x10\0\0\x07\x44\0\0\0\x0a\0\0\0\0\0\0\x03\x59\0\0\x03\xd6\0\0\
\x5c\0\0\0\0\x08\0\0\x03\x59\0\0\x03\xd6\0\0\x5c\x05\0\0\0\x58\0\0\x03\x59\0\0\
\x03\xd6\0\0\x5c\x05\0\0\0\x80\0\0\x03\x59\0\0\x03\xd6\0\0\x5c\x05\0\0\0\x88\0\
\0\x03\x59\0\0\x03\xd6\0\0\x5c\x05\0\0\0\xb8\0\0\x03\x59\0\0\0\0\0\0\0\0\0\0\0\
\xc0\0\0\x03\x59\0\0\x03\xd6\0\0\x5c\x05\0\0\0\xc8\0\0\x03\x59\0\0\x03\xd6\0\0\
\x5c\x05\0\0\0\xd0\0\0\x03\x59\0\0\x04\x39\0\0\x64\x0e\0\0\0\xe8\0\0\x03\x59\0\
\0\x03\xd6\0\0\x5c\x05\0\0\x07\x57\0\0\0\x03\0\0\0\0\0\0\x03\x59\0\0\x04\x4c\0\
\0\x78\x05\0\0\0\x08\0\0\x03\x59\0\0\x04\x7e\0\0\x80\x11\0\0\0\x20\0\0\x03\x59\
\0\0\x04\x4c\0\0\x78\x05\0\0\x07\x6d\0\0\0\x0b\0\0\0\0\0\0\x03\x59\0\0\x04\x94\
\0\0\x9c\x02\0\0\0\x10\0\0\x03\x59\0\0\x04\x9f\0\0\xcc\x14\0\0\0\x28\0\0\x03\
\x59\0\0\x04\x94\0\0\xd0\x02\0\0\0\x38\0\0\x03\x59\0\0\x04\xb7\0\x01\0\x05\0\0\
\0\x40\0\0\x03\x59\0\0\x05\x05\0\x01\x08\x07\0\0\0\x50\0\0\x03\x59\0\0\0\0\0\0\
\0\0\0\0\0\x58\0\0\x03\x59\0\0\x05\x1d\0\x01\x14\x02\0\0\0\x68\0\0\x03\x59\0\0\
\x05\x55\0\x01\x18\x06\0\0\0\x70\0\0\x03\x59\0\0\x05\x55\0\x01\x18\x19\0\0\0\
\x88\0\0\x03\x59\0\0\x05\x82\0\x01\x1c\x16\0\0\0\xa0\0\0\x03\x59\0\0\x04\xb7\0\
\x01\0\x05\0\0\x07\x74\0\0\0\x03\0\0\0\0\0\0\x03\x59\0\0\x04\x94\0\0\xb4\x02\0\
\0\0\x10\0\0\x03\x59\0\0\x05\x9c\0\x01\x38\x18\0\0\0\x28\0\0\x03\x59\0\0\x05\
\xb8\0\x01\x30\x05\0\0\x07\x7e\0\0\0\x02\0\0\0\0\0\0\x03\x59\0\0\x05\xef\0\0\
\xec\x17\0\0\0\x18\0\0\x03\x59\0\0\x04\x94\0\0\xf0\x02\0\0\x07\xa5\0\0\0\x06\0\
\0\0\0\0\0\x03\x59\0\0\x06\x0a\0\x01\x58\x29\0\0\0\x28\0\0\x03\x59\0\0\x06\x0a\
\0\x01\x58\x02\0\0\0\x40\0\0\x03\x59\0\0\x06\x3d\0\x01\x5c\x09\0\0\0\x68\0\0\
\x03\x59\0\0\x06\x78\0\x01\x74\x06\0\0\0\x70\0\0\x03\x59\0\0\x06\x9b\0\x01\x78\
\x20\0\0\0\x88\0\0\x03\x59\0\0\x04\x94\0\x01\x7c\x02\0\0\x07\xcb\0\0\0\x02\0\0\
\0\0\0\0\x03\x59\0\0\x06\xbf\0\x01\xa4\x15\0\0\0\x18\0\0\x03\x59\0\0\x04\x94\0\
\x01\xa8\x02\0\0\x07\xef\0\0\0\x06\0\0\0\0\0\0\x03\x59\0\0\x06\x0a\0\x01\x58\
\x29\0\0\0\x28\0\0\x03\x59\0\0\x06\x0a\0\x01\x58\x02\0\0\0\x40\0\0\x03\x59\0\0\
\x06\x3d\0\x01\x5c\x09\0\0\0\x68\0\0\x03\x59\0\0\x06\x78\0\x01\xc0\x06\0\0\0\
\x70\0\0\x03\x59\0\0\x06\xd9\0\x01\xc4\x23\0\0\0\x88\0\0\x03\x59\0\0\x04\x94\0\
\x01\xc8\x02\0\0\x08\x18\0\0\0\x02\0\0\0\0\0\0\x03\x59\0\0\x07\x01\0\x01\xe0\
\x18\0\0\0\x18\0\0\x03\x59\0\0\x04\x94\0\x01\xe4\x02\0\0\0\x10\0\0\x07\x44\0\0\
\0\x04\0\0\0\x28\0\0\0\x04\0\0\x07\x1e\0\0\0\0\0\0\0\x30\0\0\0\x16\0\0\x07\x24\
\0\0\0\0\0\0\0\x68\0\0\0\x04\0\0\x07\x28\0\0\0\0\0\0\0\xa0\0\0\0\x16\0\0\x07\
\x24\0\0\0\0\0\0\x07\x57\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\x07\x1e\0\0\0\0\0\0\
\x07\x6d\0\0\0\x01\0\0\0\x38\0\0\0\x04\0\0\x07\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x04\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x04\xf0\0\0\0\0\0\0\x03\xf0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\xe0\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\x24\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\xd8\0\0\
\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x3a\0\0\
\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\xb0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\x01\0\0\0\0\0\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xb0\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x4b\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x0a\xe8\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x72\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x0b\x10\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\x98\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\
\xa8\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\xbc\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\xd0\0\0\0\0\0\
\0\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xe5\0\0\0\x01\
\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x68\0\0\0\0\0\0\0\x28\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\x0c\0\0\0\x08\0\0\0\0\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x90\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\x11\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x0c\x90\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\x01\x19\0\0\0\x01\0\0\0\0\0\0\0\x32\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x0c\x94\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\x01\0\0\x03\x83\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0c\xa0\0\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\x03\x9a\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\
\xc0\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\
\0\0\x03\xb4\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\xd0\0\
\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\
\x03\xbf\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\xf0\0\0\0\
\0\0\0\0\x10\0\0\0\x02\0\0\0\x06\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x03\
\xcd\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\
\0\x10\0\0\0\x02\0\0\0\x07\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x03\xf8\0\0\
\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x10\0\0\0\0\0\0\0\x30\
\0\0\0\x02\0\0\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x04\x22\0\0\0\x09\
\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x40\0\0\0\0\0\0\0\x10\0\0\0\
\x02\0\0\0\x09\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x04\x4a\0\0\0\x09\0\0\0\
\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x50\0\0\0\0\0\0\0\x30\0\0\0\x02\0\
\0\0\x0a\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x04\x77\0\0\0\x09\0\0\0\0\0\0\
\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x80\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\
\x0b\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x04\xa2\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x90\0\0\0\0\0\0\x0d\x67\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x04\xa7\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x1a\xf8\0\0\0\0\0\0\x04\x64\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_attach_probe *test_attach_probe::open(const struct bpf_object_open_opts *opts) { return test_attach_probe__open_opts(opts); }
struct test_attach_probe *test_attach_probe::open_and_load() { return test_attach_probe__open_and_load(); }
int test_attach_probe::load(struct test_attach_probe *skel) { return test_attach_probe__load(skel); }
int test_attach_probe::attach(struct test_attach_probe *skel) { return test_attach_probe__attach(skel); }
void test_attach_probe::detach(struct test_attach_probe *skel) { test_attach_probe__detach(skel); }
void test_attach_probe::destroy(struct test_attach_probe *skel) { test_attach_probe__destroy(skel); }
const void *test_attach_probe::elf_bytes(size_t *sz) { return test_attach_probe__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_attach_probe__assert(struct test_attach_probe *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->kprobe2_res) == 4, "unexpected size of 'kprobe2_res'");
	_Static_assert(sizeof(s->bss->kretprobe2_res) == 4, "unexpected size of 'kretprobe2_res'");
	_Static_assert(sizeof(s->bss->uprobe_byname_res) == 4, "unexpected size of 'uprobe_byname_res'");
	_Static_assert(sizeof(s->bss->uretprobe_byname_res) == 4, "unexpected size of 'uretprobe_byname_res'");
	_Static_assert(sizeof(s->bss->uprobe_byname2_res) == 4, "unexpected size of 'uprobe_byname2_res'");
	_Static_assert(sizeof(s->bss->uretprobe_byname2_res) == 4, "unexpected size of 'uretprobe_byname2_res'");
	_Static_assert(sizeof(s->bss->uprobe_byname3_sleepable_res) == 4, "unexpected size of 'uprobe_byname3_sleepable_res'");
	_Static_assert(sizeof(s->bss->uprobe_byname3_res) == 4, "unexpected size of 'uprobe_byname3_res'");
	_Static_assert(sizeof(s->bss->uretprobe_byname3_sleepable_res) == 4, "unexpected size of 'uretprobe_byname3_sleepable_res'");
	_Static_assert(sizeof(s->bss->uretprobe_byname3_res) == 4, "unexpected size of 'uretprobe_byname3_res'");
	_Static_assert(sizeof(s->bss->user_ptr) == 8, "unexpected size of 'user_ptr'");
	_Static_assert(sizeof(s->kconfig->LINUX_HAS_SYSCALL_WRAPPER) == 1, "unexpected size of 'LINUX_HAS_SYSCALL_WRAPPER'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_ATTACH_PROBE_SKEL_H__ */
