/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_CGROUP_SKB_SKEL_H__
#define __VERIFIER_CGROUP_SKB_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct verifier_cgroup_skb {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *test_1_for_cgroup_skb;
		struct bpf_program *test_2_for_cgroup_skb;
		struct bpf_program *test_3_for_cgroup_skb;
		struct bpf_program *test_4_for_cgroup_skb;
		struct bpf_program *tc_classid_for_cgroup_skb;
		struct bpf_program *data_meta_for_cgroup_skb;
		struct bpf_program *flow_keys_for_cgroup_skb;
		struct bpf_program *napi_id_for_cgroup_skb;
		struct bpf_program *write_tstamp_from_cgroup_skb;
		struct bpf_program *read_tstamp_from_cgroup_skb;
	} progs;
	struct {
		struct bpf_link *test_1_for_cgroup_skb;
		struct bpf_link *test_2_for_cgroup_skb;
		struct bpf_link *test_3_for_cgroup_skb;
		struct bpf_link *test_4_for_cgroup_skb;
		struct bpf_link *tc_classid_for_cgroup_skb;
		struct bpf_link *data_meta_for_cgroup_skb;
		struct bpf_link *flow_keys_for_cgroup_skb;
		struct bpf_link *napi_id_for_cgroup_skb;
		struct bpf_link *write_tstamp_from_cgroup_skb;
		struct bpf_link *read_tstamp_from_cgroup_skb;
	} links;

#ifdef __cplusplus
	static inline struct verifier_cgroup_skb *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_cgroup_skb *open_and_load();
	static inline int load(struct verifier_cgroup_skb *skel);
	static inline int attach(struct verifier_cgroup_skb *skel);
	static inline void detach(struct verifier_cgroup_skb *skel);
	static inline void destroy(struct verifier_cgroup_skb *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_cgroup_skb__destroy(struct verifier_cgroup_skb *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_cgroup_skb__create_skeleton(struct verifier_cgroup_skb *obj);

static inline struct verifier_cgroup_skb *
verifier_cgroup_skb__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_cgroup_skb *obj;
	int err;

	obj = (struct verifier_cgroup_skb *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_cgroup_skb__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_cgroup_skb__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_cgroup_skb *
verifier_cgroup_skb__open(void)
{
	return verifier_cgroup_skb__open_opts(NULL);
}

static inline int
verifier_cgroup_skb__load(struct verifier_cgroup_skb *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_cgroup_skb *
verifier_cgroup_skb__open_and_load(void)
{
	struct verifier_cgroup_skb *obj;
	int err;

	obj = verifier_cgroup_skb__open();
	if (!obj)
		return NULL;
	err = verifier_cgroup_skb__load(obj);
	if (err) {
		verifier_cgroup_skb__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_cgroup_skb__attach(struct verifier_cgroup_skb *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_cgroup_skb__detach(struct verifier_cgroup_skb *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_cgroup_skb__elf_bytes(size_t *sz);

static inline int
verifier_cgroup_skb__create_skeleton(struct verifier_cgroup_skb *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_cgroup_skb";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 10;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_1_for_cgroup_skb";
	s->progs[0].prog = &obj->progs.test_1_for_cgroup_skb;
	s->progs[0].link = &obj->links.test_1_for_cgroup_skb;

	s->progs[1].name = "test_2_for_cgroup_skb";
	s->progs[1].prog = &obj->progs.test_2_for_cgroup_skb;
	s->progs[1].link = &obj->links.test_2_for_cgroup_skb;

	s->progs[2].name = "test_3_for_cgroup_skb";
	s->progs[2].prog = &obj->progs.test_3_for_cgroup_skb;
	s->progs[2].link = &obj->links.test_3_for_cgroup_skb;

	s->progs[3].name = "test_4_for_cgroup_skb";
	s->progs[3].prog = &obj->progs.test_4_for_cgroup_skb;
	s->progs[3].link = &obj->links.test_4_for_cgroup_skb;

	s->progs[4].name = "tc_classid_for_cgroup_skb";
	s->progs[4].prog = &obj->progs.tc_classid_for_cgroup_skb;
	s->progs[4].link = &obj->links.tc_classid_for_cgroup_skb;

	s->progs[5].name = "data_meta_for_cgroup_skb";
	s->progs[5].prog = &obj->progs.data_meta_for_cgroup_skb;
	s->progs[5].link = &obj->links.data_meta_for_cgroup_skb;

	s->progs[6].name = "flow_keys_for_cgroup_skb";
	s->progs[6].prog = &obj->progs.flow_keys_for_cgroup_skb;
	s->progs[6].link = &obj->links.flow_keys_for_cgroup_skb;

	s->progs[7].name = "napi_id_for_cgroup_skb";
	s->progs[7].prog = &obj->progs.napi_id_for_cgroup_skb;
	s->progs[7].link = &obj->links.napi_id_for_cgroup_skb;

	s->progs[8].name = "write_tstamp_from_cgroup_skb";
	s->progs[8].prog = &obj->progs.write_tstamp_from_cgroup_skb;
	s->progs[8].link = &obj->links.write_tstamp_from_cgroup_skb;

	s->progs[9].name = "read_tstamp_from_cgroup_skb";
	s->progs[9].prog = &obj->progs.read_tstamp_from_cgroup_skb;
	s->progs[9].link = &obj->links.read_tstamp_from_cgroup_skb;

	s->data = verifier_cgroup_skb__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_cgroup_skb__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\xa8\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x63\x67\x72\
\x6f\x75\x70\x2f\x73\x6b\x62\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\
\x66\x69\x65\x72\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2e\x63\0\x6c\x30\
\x5f\x30\0\x74\x65\x73\x74\x5f\x31\x5f\x66\x6f\x72\x5f\x63\x67\x72\x6f\x75\x70\
\x5f\x73\x6b\x62\0\x74\x65\x73\x74\x5f\x32\x5f\x66\x6f\x72\x5f\x63\x67\x72\x6f\
\x75\x70\x5f\x73\x6b\x62\0\x74\x65\x73\x74\x5f\x33\x5f\x66\x6f\x72\x5f\x63\x67\
\x72\x6f\x75\x70\x5f\x73\x6b\x62\0\x74\x65\x73\x74\x5f\x34\x5f\x66\x6f\x72\x5f\
\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\
\x64\x5f\x66\x6f\x72\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\0\x64\x61\x74\
\x61\x5f\x6d\x65\x74\x61\x5f\x66\x6f\x72\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\
\x6b\x62\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\x5f\x66\x6f\x72\x5f\x63\x67\x72\
\x6f\x75\x70\x5f\x73\x6b\x62\0\x6e\x61\x70\x69\x5f\x69\x64\x5f\x66\x6f\x72\x5f\
\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\0\x77\x72\x69\x74\x65\x5f\x74\x73\x74\
\x61\x6d\x70\x5f\x66\x72\x6f\x6d\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\0\
\x72\x65\x61\x64\x5f\x74\x73\x74\x61\x6d\x70\x5f\x66\x72\x6f\x6d\x5f\x63\x67\
\x72\x6f\x75\x70\x5f\x73\x6b\x62\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x42\
\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x24\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3a\0\0\0\x03\0\
\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\0\0\0\0\x3f\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x78\0\0\0\x55\x12\0\0\x03\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\x48\0\0\0\x6b\
\x12\0\0\x03\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x68\0\0\0\x81\x12\0\0\x03\0\0\0\0\
\0\0\x01\x28\0\0\0\0\0\0\0\x78\0\0\0\x97\x12\0\0\x03\0\0\0\0\0\0\x01\xa0\0\0\0\
\0\0\0\0\x18\0\0\0\xb1\x12\0\0\x03\0\0\0\0\0\0\x01\xb8\0\0\0\0\0\0\0\x18\0\0\0\
\xca\x12\0\0\x03\0\0\0\0\0\0\x01\xd0\0\0\0\0\0\0\0\x18\0\0\0\xe3\x12\0\0\x03\0\
\0\0\0\0\0\x01\xe8\0\0\0\0\0\0\0\x20\0\0\0\xfa\x12\0\0\x03\0\0\0\0\0\0\x02\x08\
\0\0\0\0\0\0\0\x20\0\0\x01\x17\x12\0\0\x03\0\0\0\0\0\0\x02\x28\0\0\0\0\0\0\0\
\x18\0\0\x01\x33\x11\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x61\x21\0\x4c\0\
\0\0\0\x61\x31\0\x50\0\0\0\0\x61\x41\0\0\0\0\0\0\x61\x51\0\x04\0\0\0\0\x61\x61\
\0\x08\0\0\0\0\x63\x16\0\x08\0\0\0\0\x61\x71\0\x0c\0\0\0\0\x61\x81\0\x10\0\0\0\
\0\x61\x91\0\x14\0\0\0\0\xbf\x02\0\0\0\0\0\0\x07\0\0\0\0\0\0\x08\x2d\x03\0\x01\
\0\0\0\0\x71\x02\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x41\0\x18\
\0\0\0\0\x61\x51\0\x1c\0\0\0\0\x61\x61\0\x20\0\0\0\0\x63\x16\0\x20\0\0\0\0\x61\
\x71\0\x24\0\0\0\0\x61\x81\0\x2c\0\0\0\0\x61\x91\0\x44\0\0\0\0\xb7\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\x61\x41\0\x30\0\0\0\0\x61\x51\0\x34\0\0\0\0\x61\x61\0\x38\
\0\0\0\0\x61\x71\0\x3c\0\0\0\0\x61\x81\0\x40\0\0\0\0\x61\x91\0\x54\0\0\0\0\x63\
\x14\0\x30\0\0\0\0\x63\x15\0\x34\0\0\0\0\x63\x16\0\x38\0\0\0\0\x63\x17\0\x3c\0\
\0\0\0\x63\x18\0\x40\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x21\0\x58\
\0\0\0\0\x61\x31\0\x5c\0\0\0\0\x61\x41\0\x60\0\0\0\0\x61\x51\0\x64\0\0\0\0\x61\
\x51\0\x68\0\0\0\0\x61\x51\0\x6c\0\0\0\0\x61\x51\0\x70\0\0\0\0\x61\x61\0\x74\0\
\0\0\0\x61\x61\0\x78\0\0\0\0\x61\x61\0\x7c\0\0\0\0\x61\x61\0\x80\0\0\0\0\x61\
\x71\0\x84\0\0\0\0\x61\x81\0\x88\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x61\x01\0\x48\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x01\0\x8c\0\0\0\
\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x01\0\x90\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x61\x91\0\x54\0\0\0\0\x63\x19\0\x54\0\0\0\0\xb7\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x7b\x10\0\x98\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x79\x01\0\x98\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x47\x50\x4c\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x03\x84\0\0\x03\x84\
\0\0\x05\xa0\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\x01\x0c\0\0\x01\0\0\0\x01\0\0\0\
\x17\x11\0\0\0\0\0\0\x02\xff\xff\xff\xff\0\0\0\x59\x11\0\0\0\0\0\0\x02\xff\xff\
\xff\xff\0\0\0\x75\x11\0\0\0\0\0\0\x02\xff\xff\xff\xff\0\0\0\x98\x11\0\0\0\0\0\
\0\x02\xff\xff\xff\xff\0\0\0\xe0\x11\0\0\0\0\0\0\x02\xff\xff\xff\xff\0\0\0\xf6\
\x0c\0\0\x01\0\0\0\x01\0\0\x01\x0c\x11\0\0\0\0\0\0\x08\xff\xff\xff\xff\0\0\0\
\x59\x11\0\0\0\0\0\0\x08\xff\xff\xff\xff\0\0\x01\x4e\x11\0\0\0\0\0\0\x08\xff\
\xff\xff\xff\0\0\0\xe0\x11\0\0\0\0\0\0\x08\xff\xff\xff\xff\0\0\x01\x71\x0c\0\0\
\x01\0\0\0\x01\0\0\x01\x87\x11\0\0\0\0\0\0\x0d\xff\xff\xff\xff\0\0\0\x59\x11\0\
\0\0\0\0\0\x0d\xff\xff\xff\xff\0\0\x01\x4e\x11\0\0\0\0\0\0\x0d\xff\xff\xff\xff\
\0\0\0\xe0\x11\0\0\0\0\0\0\x0d\xff\xff\xff\xff\0\0\x01\xc9\x0c\0\0\x01\0\0\0\
\x01\0\0\x01\xdf\x11\0\0\0\0\0\0\x12\xff\xff\xff\xff\0\0\0\x59\x11\0\0\0\0\0\0\
\x12\xff\xff\xff\xff\0\0\x01\x4e\x11\0\0\0\0\0\0\x12\xff\xff\xff\xff\0\0\0\xe0\
\x11\0\0\0\0\0\0\x12\xff\xff\xff\xff\0\0\x02\x21\x0c\0\0\x01\0\0\0\x01\0\0\x02\
\x3b\x11\0\0\0\0\0\0\x17\xff\xff\xff\xff\0\0\x02\x80\x11\0\0\0\0\0\0\x17\xff\
\xff\xff\xff\0\0\x02\x9c\x11\0\0\0\0\0\0\x17\xff\xff\xff\xff\0\0\0\x75\x11\0\0\
\0\0\0\0\x17\xff\xff\xff\xff\0\0\x02\xcf\x0c\0\0\x01\0\0\0\x01\0\0\x02\xe8\x11\
\0\0\0\0\0\0\x1c\xff\xff\xff\xff\0\0\x02\x80\x11\0\0\0\0\0\0\x1c\xff\xff\xff\
\xff\0\0\x02\x9c\x11\0\0\0\0\0\0\x1c\xff\xff\xff\xff\0\0\0\x75\x11\0\0\0\0\0\0\
\x1c\xff\xff\xff\xff\0\0\x03\x2c\x0c\0\0\x01\0\0\0\x01\0\0\x03\x45\x11\0\0\0\0\
\0\0\x21\xff\xff\xff\xff\0\0\x02\x80\x11\0\0\0\0\0\0\x21\xff\xff\xff\xff\0\0\
\x02\x9c\x11\0\0\0\0\0\0\x21\xff\xff\xff\xff\0\0\0\x75\x11\0\0\0\0\0\0\x21\xff\
\xff\xff\xff\0\0\x03\x89\x0c\0\0\x01\0\0\0\x01\0\0\x03\xa0\x11\0\0\0\0\0\0\x26\
\xff\xff\xff\xff\0\0\x02\x80\x11\0\0\0\0\0\0\x26\xff\xff\xff\xff\0\0\x02\x9c\
\x11\0\0\0\0\0\0\x26\xff\xff\xff\xff\0\0\0\x75\x11\0\0\0\0\0\0\x26\xff\xff\xff\
\xff\0\0\x03\xe8\x0c\0\0\x01\0\0\0\x01\0\0\x04\x05\x11\0\0\0\0\0\0\x2b\xff\xff\
\xff\xff\0\0\0\x59\x11\0\0\0\0\0\0\x2b\xff\xff\xff\xff\0\0\0\x75\x11\0\0\0\0\0\
\0\x2b\xff\xff\xff\xff\0\0\x04\x3b\x11\0\0\0\0\0\0\x2b\xff\xff\xff\xff\0\0\0\
\xe0\x11\0\0\0\0\0\0\x2b\xff\xff\xff\xff\0\0\x04\x84\x0c\0\0\x01\0\0\0\x01\0\0\
\x04\xa0\x11\0\0\0\0\0\0\x31\xff\xff\xff\xff\0\0\0\x59\x11\0\0\0\0\0\0\x31\xff\
\xff\xff\xff\0\0\x01\x4e\x11\0\0\0\0\0\0\x31\xff\xff\xff\xff\0\0\0\xe0\x11\0\0\
\0\0\0\0\x31\xff\xff\xff\xff\0\0\x04\xd5\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\x36\0\0\0\x38\0\0\0\x04\0\0\x04\xda\x01\0\0\0\0\0\0\
\x04\0\0\0\x20\0\0\x04\xee\x0e\0\0\0\0\0\0\x37\0\0\0\x01\0\0\x05\x8d\x0f\0\0\
\x01\0\0\0\x04\0\0\0\x39\0\0\0\0\0\0\0\x04\0\x74\x65\x73\x74\x5f\x31\x5f\x66\
\x6f\x72\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\
\x64\x69\x72\x65\x63\x74\x20\x70\x61\x63\x6b\x65\x74\x20\x72\x65\x61\x64\x20\
\x74\x65\x73\x74\x23\x31\x20\x66\x6f\x72\x20\x43\x47\x52\x4f\x55\x50\x5f\x53\
\x4b\x42\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\
\x75\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x69\
\x6e\x76\x61\x6c\x69\x64\x20\x62\x70\x66\x5f\x63\x6f\x6e\x74\x65\x78\x74\x20\
\x61\x63\x63\x65\x73\x73\x20\x6f\x66\x66\x3d\x37\x36\x20\x73\x69\x7a\x65\x3d\
\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\
\x6c\x3d\x30\0\x74\x65\x73\x74\x5f\x32\x5f\x66\x6f\x72\x5f\x63\x67\x72\x6f\x75\
\x70\x5f\x73\x6b\x62\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\
\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x64\x69\x72\x65\x63\x74\x20\x70\
\x61\x63\x6b\x65\x74\x20\x72\x65\x61\x64\x20\x74\x65\x73\x74\x23\x32\x20\x66\
\x6f\x72\x20\x43\x47\x52\x4f\x55\x50\x5f\x53\x4b\x42\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\
\x73\x73\x5f\x75\x6e\x70\x72\x69\x76\0\x74\x65\x73\x74\x5f\x33\x5f\x66\x6f\x72\
\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x64\x69\
\x72\x65\x63\x74\x20\x70\x61\x63\x6b\x65\x74\x20\x72\x65\x61\x64\x20\x74\x65\
\x73\x74\x23\x33\x20\x66\x6f\x72\x20\x43\x47\x52\x4f\x55\x50\x5f\x53\x4b\x42\0\
\x74\x65\x73\x74\x5f\x34\x5f\x66\x6f\x72\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\
\x6b\x62\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\
\x72\x69\x70\x74\x69\x6f\x6e\x3d\x64\x69\x72\x65\x63\x74\x20\x70\x61\x63\x6b\
\x65\x74\x20\x72\x65\x61\x64\x20\x74\x65\x73\x74\x23\x34\x20\x66\x6f\x72\x20\
\x43\x47\x52\x4f\x55\x50\x5f\x53\x4b\x42\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\
\x64\x5f\x66\x6f\x72\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x61\x63\x63\x65\x73\x73\x20\x6f\
\x66\x20\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\x20\x66\x6f\x72\x20\x43\x47\
\x52\x4f\x55\x50\x5f\x53\x4b\x42\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x62\x70\x66\x5f\x63\x6f\x6e\x74\x65\
\x78\x74\x20\x61\x63\x63\x65\x73\x73\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\x5f\
\x66\x6f\x72\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x61\x63\x63\x65\x73\x73\x20\x6f\x66\x20\
\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\x20\x66\x6f\x72\x20\x43\x47\x52\x4f\x55\
\x50\x5f\x53\x4b\x42\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\x5f\x66\x6f\x72\x5f\
\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x69\x6e\x76\
\x61\x6c\x69\x64\x20\x61\x63\x63\x65\x73\x73\x20\x6f\x66\x20\x66\x6c\x6f\x77\
\x5f\x6b\x65\x79\x73\x20\x66\x6f\x72\x20\x43\x47\x52\x4f\x55\x50\x5f\x53\x4b\
\x42\0\x6e\x61\x70\x69\x5f\x69\x64\x5f\x66\x6f\x72\x5f\x63\x67\x72\x6f\x75\x70\
\x5f\x73\x6b\x62\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x77\
\x72\x69\x74\x65\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x6e\x61\x70\x69\
\x5f\x69\x64\x20\x66\x6f\x72\x20\x43\x47\x52\x4f\x55\x50\x5f\x53\x4b\x42\0\x77\
\x72\x69\x74\x65\x5f\x74\x73\x74\x61\x6d\x70\x5f\x66\x72\x6f\x6d\x5f\x63\x67\
\x72\x6f\x75\x70\x5f\x73\x6b\x62\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x77\x72\x69\x74\x65\
\x20\x74\x73\x74\x61\x6d\x70\x20\x66\x72\x6f\x6d\x20\x43\x47\x52\x4f\x55\x50\
\x5f\x53\x4b\x42\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x69\x6e\x76\
\x61\x6c\x69\x64\x20\x62\x70\x66\x5f\x63\x6f\x6e\x74\x65\x78\x74\x20\x61\x63\
\x63\x65\x73\x73\x20\x6f\x66\x66\x3d\x31\x35\x32\x20\x73\x69\x7a\x65\x3d\x38\0\
\x72\x65\x61\x64\x5f\x74\x73\x74\x61\x6d\x70\x5f\x66\x72\x6f\x6d\x5f\x63\x67\
\x72\x6f\x75\x70\x5f\x73\x6b\x62\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\x65\x61\x64\x20\
\x74\x73\x74\x61\x6d\x70\x20\x66\x72\x6f\x6d\x20\x43\x47\x52\x4f\x55\x50\x5f\
\x53\x4b\x42\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\
\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x36\x2e\
\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\
\x36\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x63\x67\
\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\
\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x63\x67\x72\x6f\x75\x70\x2f\x73\x6b\x62\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\
\x20\0\0\0\0\0\0\0\x5c\0\0\0\x5c\0\0\0\xac\0\0\x01\x08\0\0\0\0\0\0\0\x08\0\0\
\x05\x95\0\0\0\x0a\0\0\0\0\0\0\0\x02\0\0\0\x78\0\0\0\x08\0\0\0\xc0\0\0\0\x0d\0\
\0\x01\x28\0\0\0\x12\0\0\x01\xa0\0\0\0\x17\0\0\x01\xb8\0\0\0\x1c\0\0\x01\xd0\0\
\0\0\x21\0\0\x01\xe8\0\0\0\x26\0\0\x02\x08\0\0\0\x2b\0\0\x02\x28\0\0\0\x31\0\0\
\0\x10\0\0\x05\x95\0\0\0\x0a\0\0\0\0\0\0\x04\xf7\0\0\x05\x76\0\0\x3c\x02\0\0\0\
\x78\0\0\x04\xf7\0\0\x05\x76\0\0\xc0\x02\0\0\0\xc0\0\0\x04\xf7\0\0\x05\x76\0\
\x01\x24\x02\0\0\x01\x28\0\0\x04\xf7\0\0\x05\x76\0\x01\x98\x02\0\0\x01\xa0\0\0\
\x04\xf7\0\0\x05\x76\0\x02\x34\x02\0\0\x01\xb8\0\0\x04\xf7\0\0\x05\x76\0\x02\
\x70\x02\0\0\x01\xd0\0\0\x04\xf7\0\0\x05\x76\0\x02\xac\x02\0\0\x01\xe8\0\0\x04\
\xf7\0\0\x05\x76\0\x02\xe8\x02\0\0\x02\x08\0\0\x04\xf7\0\0\x05\x76\0\x03\x2c\
\x02\0\0\x02\x28\0\0\x04\xf7\0\0\x05\x76\0\x03\x68\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x01\x4a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\x90\0\0\0\0\0\0\x01\x68\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xf8\
\0\0\0\0\0\0\x02\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\x1c\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x38\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x01\x3c\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x40\0\0\0\0\0\0\x09\x3c\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\x41\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0e\x80\0\0\0\0\0\0\x01\x28\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_cgroup_skb *verifier_cgroup_skb::open(const struct bpf_object_open_opts *opts) { return verifier_cgroup_skb__open_opts(opts); }
struct verifier_cgroup_skb *verifier_cgroup_skb::open_and_load() { return verifier_cgroup_skb__open_and_load(); }
int verifier_cgroup_skb::load(struct verifier_cgroup_skb *skel) { return verifier_cgroup_skb__load(skel); }
int verifier_cgroup_skb::attach(struct verifier_cgroup_skb *skel) { return verifier_cgroup_skb__attach(skel); }
void verifier_cgroup_skb::detach(struct verifier_cgroup_skb *skel) { verifier_cgroup_skb__detach(skel); }
void verifier_cgroup_skb::destroy(struct verifier_cgroup_skb *skel) { verifier_cgroup_skb__destroy(skel); }
const void *verifier_cgroup_skb::elf_bytes(size_t *sz) { return verifier_cgroup_skb__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_cgroup_skb__assert(struct verifier_cgroup_skb *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_CGROUP_SKB_SKEL_H__ */
