/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __XDP_HW_METADATA_SKEL_H__
#define __XDP_HW_METADATA_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct xdp_hw_metadata {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *xsk;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *rx;
	} progs;
	struct {
		struct bpf_link *rx;
	} links;
	struct xdp_hw_metadata__bss {
		__u64 pkts_skip;
		__u64 pkts_fail;
		__u64 pkts_redir;
	} *bss;

#ifdef __cplusplus
	static inline struct xdp_hw_metadata *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct xdp_hw_metadata *open_and_load();
	static inline int load(struct xdp_hw_metadata *skel);
	static inline int attach(struct xdp_hw_metadata *skel);
	static inline void detach(struct xdp_hw_metadata *skel);
	static inline void destroy(struct xdp_hw_metadata *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
xdp_hw_metadata__destroy(struct xdp_hw_metadata *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
xdp_hw_metadata__create_skeleton(struct xdp_hw_metadata *obj);

static inline struct xdp_hw_metadata *
xdp_hw_metadata__open_opts(const struct bpf_object_open_opts *opts)
{
	struct xdp_hw_metadata *obj;
	int err;

	obj = (struct xdp_hw_metadata *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = xdp_hw_metadata__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	xdp_hw_metadata__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct xdp_hw_metadata *
xdp_hw_metadata__open(void)
{
	return xdp_hw_metadata__open_opts(NULL);
}

static inline int
xdp_hw_metadata__load(struct xdp_hw_metadata *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct xdp_hw_metadata *
xdp_hw_metadata__open_and_load(void)
{
	struct xdp_hw_metadata *obj;
	int err;

	obj = xdp_hw_metadata__open();
	if (!obj)
		return NULL;
	err = xdp_hw_metadata__load(obj);
	if (err) {
		xdp_hw_metadata__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
xdp_hw_metadata__attach(struct xdp_hw_metadata *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
xdp_hw_metadata__detach(struct xdp_hw_metadata *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *xdp_hw_metadata__elf_bytes(size_t *sz);

static inline int
xdp_hw_metadata__create_skeleton(struct xdp_hw_metadata *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "xdp_hw_metadata";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "xsk";
	s->maps[0].map = &obj->maps.xsk;

	s->maps[1].name = "xdp_hw_m.bss";
	s->maps[1].map = &obj->maps.bss;
	s->maps[1].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "rx";
	s->progs[0].prog = &obj->progs.rx;
	s->progs[0].link = &obj->links.rx;

	s->data = xdp_hw_metadata__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *xdp_hw_metadata__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x10\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x78\x64\x70\
\x2e\x66\x72\x61\x67\x73\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x78\x64\x70\x5f\x68\x77\x5f\x6d\x65\x74\x61\x64\x61\x74\x61\
\x2e\x63\0\x4c\x42\x42\x30\x5f\x34\0\x4c\x42\x42\x30\x5f\x33\0\x4c\x42\x42\x30\
\x5f\x37\0\x4c\x42\x42\x30\x5f\x31\x37\0\x4c\x42\x42\x30\x5f\x31\x32\0\x4c\x42\
\x42\x30\x5f\x31\x35\0\x4c\x42\x42\x30\x5f\x31\x36\0\x4c\x42\x42\x30\x5f\x31\
\x39\0\x4c\x42\x42\x30\x5f\x31\x38\0\x4c\x42\x42\x30\x5f\x33\x35\0\x4c\x42\x42\
\x30\x5f\x32\x31\0\x4c\x42\x42\x30\x5f\x32\x33\0\x4c\x42\x42\x30\x5f\x32\x32\0\
\x4c\x42\x42\x30\x5f\x32\x35\0\x4c\x42\x42\x30\x5f\x32\x37\0\x4c\x42\x42\x30\
\x5f\x32\x38\0\x4c\x42\x42\x30\x5f\x33\x30\0\x4c\x42\x42\x30\x5f\x33\x31\0\x4c\
\x42\x42\x30\x5f\x33\x33\0\x4c\x42\x42\x30\x5f\x33\x34\0\x72\x78\0\x70\x6b\x74\
\x73\x5f\x73\x6b\x69\x70\0\x70\x6b\x74\x73\x5f\x66\x61\x69\x6c\0\x62\x70\x66\
\x5f\x78\x64\x70\x5f\x6d\x65\x74\x61\x64\x61\x74\x61\x5f\x72\x78\x5f\x74\x69\
\x6d\x65\x73\x74\x61\x6d\x70\0\x62\x70\x66\x5f\x78\x64\x70\x5f\x6d\x65\x74\x61\
\x64\x61\x74\x61\x5f\x72\x78\x5f\x68\x61\x73\x68\0\x62\x70\x66\x5f\x78\x64\x70\
\x5f\x6d\x65\x74\x61\x64\x61\x74\x61\x5f\x72\x78\x5f\x76\x6c\x61\x6e\x5f\x74\
\x61\x67\0\x70\x6b\x74\x73\x5f\x72\x65\x64\x69\x72\0\x78\x73\x6b\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x78\x64\x70\x2e\x66\x72\x61\x67\x73\0\
\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2e\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\
\x03\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\x03\0\0\0\0\0\0\0\x48\0\
\0\0\0\0\0\0\0\0\0\0\x4e\0\0\0\x03\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\x55\
\0\0\0\x03\0\0\0\0\0\0\x01\x38\0\0\0\0\0\0\0\0\0\0\0\x5d\0\0\0\x03\0\0\0\0\0\0\
\0\xe0\0\0\0\0\0\0\0\0\0\0\0\x65\0\0\0\x03\0\0\0\0\0\0\x01\x10\0\0\0\0\0\0\0\0\
\0\0\0\x6d\0\0\0\x03\0\0\0\0\0\0\x01\x20\0\0\0\0\0\0\0\0\0\0\0\x75\0\0\0\x03\0\
\0\0\0\0\0\x01\x68\0\0\0\0\0\0\0\0\0\0\0\x7d\0\0\0\x03\0\0\0\0\0\0\x01\x50\0\0\
\0\0\0\0\0\0\0\0\0\x85\0\0\0\x03\0\0\0\0\0\0\x01\x60\0\0\0\0\0\0\0\0\0\0\0\x8d\
\0\0\0\x03\0\0\0\0\0\0\x01\x80\0\0\0\0\0\0\0\0\0\0\0\x95\0\0\0\x03\0\0\0\0\0\0\
\x01\xc0\0\0\0\0\0\0\0\0\0\0\0\x9d\0\0\0\x03\0\0\0\0\0\0\x01\xa0\0\0\0\0\0\0\0\
\0\0\0\0\xa5\0\0\0\x03\0\0\0\0\0\0\x01\xf8\0\0\0\0\0\0\0\0\0\0\0\xad\0\0\0\x03\
\0\0\0\0\0\0\x02\x48\0\0\0\0\0\0\0\0\0\0\0\xb5\0\0\0\x03\0\0\0\0\0\0\x02\x60\0\
\0\0\0\0\0\0\0\0\0\0\xbd\0\0\0\x03\0\0\0\0\0\0\x02\xb0\0\0\0\0\0\0\0\0\0\0\0\
\xc5\0\0\0\x03\0\0\0\0\0\0\x02\xc8\0\0\0\0\0\0\0\0\0\0\0\xcd\0\0\0\x03\0\0\0\0\
\0\0\x03\x18\0\0\0\0\0\0\0\0\0\0\0\xd5\0\0\0\x03\0\0\0\0\0\0\x03\x30\0\0\0\0\0\
\0\0\0\0\0\0\xdd\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x80\0\0\0\xe0\x11\
\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\xea\x11\0\0\x04\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x08\0\0\0\xf4\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\x12\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x2b\x10\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x48\x11\0\0\x04\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\x08\0\0\x01\x53\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\x01\x57\
\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x61\x21\0\x04\0\0\0\0\x61\x31\0\
\0\0\0\0\0\xbf\x43\0\0\0\0\0\0\x07\x40\0\0\0\0\0\x0e\x3d\x42\0\x05\0\0\0\0\x69\
\x43\0\x0c\0\0\0\0\x16\x40\0\x02\0\0\x88\xa8\x69\x43\0\x0c\0\0\0\0\x56\x40\0\
\x01\0\0\x81\0\x07\x30\0\0\0\0\0\x04\xbf\x43\0\0\0\0\0\0\x07\x40\0\0\0\0\0\x0e\
\x3d\x42\0\x03\0\0\0\0\x69\x43\0\x0c\0\0\0\0\x56\x40\0\x01\0\0\x81\0\x07\x30\0\
\0\0\0\0\x04\xbf\x43\0\0\0\0\0\0\x07\x40\0\0\0\0\0\x0e\x3d\x42\0\x14\0\0\0\0\
\xb7\x50\0\0\0\0\0\0\x69\x03\0\x0c\0\0\0\0\x56\0\0\x06\0\0\x08\0\xbf\x03\0\0\0\
\0\0\0\x07\0\0\0\0\0\0\x22\x3d\x02\0\x03\0\0\0\0\x71\x64\0\x09\0\0\0\0\x56\x60\
\0\x01\0\0\0\x11\xbf\x50\0\0\0\0\0\0\x69\x03\0\x0c\0\0\0\0\x56\0\0\x04\0\0\x86\
\xdd\x07\x30\0\0\0\0\0\x36\x3d\x32\0\x02\0\0\0\0\x71\x44\0\x06\0\0\0\0\x16\x40\
\0\x02\0\0\0\x11\xbf\x35\0\0\0\0\0\0\x15\x50\0\x03\0\0\0\0\xbf\x43\0\0\0\0\0\0\
\x07\x40\0\0\0\0\0\x08\xbd\x42\0\x06\0\0\0\0\xb7\x10\0\0\0\0\0\x01\x18\x20\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\x02\x95\0\0\0\0\0\
\0\0\x69\x23\0\x02\0\0\0\0\x16\x20\0\x01\0\0\x23\x83\x05\0\xff\xf7\0\0\0\0\xbf\
\x61\0\0\0\0\0\0\xb4\x20\0\0\xff\xff\xff\xe0\x85\0\0\0\0\0\0\x36\x16\0\0\x04\0\
\0\0\0\xb7\x10\0\0\0\0\0\x01\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\xff\xf2\
\0\0\0\0\xbf\x86\0\0\0\0\0\0\x61\x18\0\0\0\0\0\0\x61\x78\0\x08\0\0\0\0\xbf\x27\
\0\0\0\0\0\0\x07\x20\0\0\0\0\0\x20\xbd\x21\0\x01\0\0\0\0\x05\0\xff\xf5\0\0\0\0\
\xb4\x10\0\0\0\0\0\0\x63\x71\0\x1c\0\0\0\0\x85\0\0\0\0\0\0\xd0\x7b\x70\0\x08\0\
\0\0\0\xbf\x18\0\0\0\0\0\0\xbf\x27\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x16\
\0\0\x02\0\0\0\0\x63\x70\0\0\0\0\0\0\x05\0\0\x03\0\0\0\0\x61\x17\0\x1c\0\0\0\0\
\x44\x10\0\0\0\0\0\x01\x63\x71\0\x1c\0\0\0\0\xbf\x27\0\0\0\0\0\0\x07\x20\0\0\0\
\0\0\x10\xbf\x87\0\0\0\0\0\0\x07\x80\0\0\0\0\0\x14\xbf\x16\0\0\0\0\0\0\xbf\x38\
\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x16\0\0\x02\0\0\0\0\x63\x80\0\0\0\0\0\
\0\x05\0\0\x03\0\0\0\0\x61\x17\0\x1c\0\0\0\0\x44\x10\0\0\0\0\0\x02\x63\x71\0\
\x1c\0\0\0\0\xbf\x87\0\0\0\0\0\0\x07\x80\0\0\0\0\0\x18\xbf\x37\0\0\0\0\0\0\x07\
\x30\0\0\0\0\0\x1a\xbf\x16\0\0\0\0\0\0\xbf\x28\0\0\0\0\0\0\x85\x01\0\0\xff\xff\
\xff\xff\x16\0\0\x02\0\0\0\0\x63\x80\0\0\0\0\0\0\x05\0\0\x03\0\0\0\0\x61\x17\0\
\x1c\0\0\0\0\x44\x10\0\0\0\0\0\x04\x63\x71\0\x1c\0\0\0\0\xb7\x10\0\0\0\0\0\x01\
\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x21\0\0\0\0\0\0\x61\x26\0\x10\0\0\0\0\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\x02\x85\0\0\0\0\0\0\x33\
\x05\0\xff\xbc\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\x01\x40\0\0\0\x18\0\0\0\x01\0\0\0\0\
\0\0\x01\xa8\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\x02\x28\0\0\0\x1a\0\0\0\x0a\0\0\0\
\0\0\0\x02\x90\0\0\0\x1b\0\0\0\x0a\0\0\0\0\0\0\x02\xf8\0\0\0\x1c\0\0\0\x0a\0\0\
\0\0\0\0\x03\x38\0\0\0\x1d\0\0\0\x01\0\0\0\0\0\0\x03\x58\0\0\0\x1e\0\0\0\x01\
\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x07\x20\0\0\x07\x20\0\0\x0a\xdf\0\0\0\0\
\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x11\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\
\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\
\0\0\x01\0\0\0\0\0\x02\0\0\0\0\0\0\x08\0\0\0\x19\x08\0\0\0\0\0\0\x09\0\0\0\x1f\
\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x2c\0\0\0\
\x01\0\0\0\0\0\0\0\x31\0\0\0\x05\0\0\0\x40\0\0\0\x3d\0\0\0\x07\0\0\0\x80\0\0\0\
\x41\0\0\0\x07\0\0\0\xc0\0\0\0\x47\x0e\0\0\0\0\0\0\x0a\0\0\0\x01\0\0\0\0\x02\0\
\0\0\0\0\0\x0d\0\0\0\x4b\x04\0\0\x06\0\0\0\x18\0\0\0\x52\0\0\0\x08\0\0\0\0\0\0\
\0\x57\0\0\0\x08\0\0\0\x20\0\0\0\x60\0\0\0\x08\0\0\0\x40\0\0\0\x6a\0\0\0\x08\0\
\0\0\x60\0\0\0\x7a\0\0\0\x08\0\0\0\x80\0\0\0\x89\0\0\0\x08\0\0\0\xa0\0\0\0\0\
\x0d\0\0\x01\0\0\0\x02\0\0\0\x98\0\0\0\x0c\0\0\0\x9c\x0c\0\0\x01\0\0\0\x0e\0\0\
\0\x9f\x04\0\0\x03\0\0\0\x0e\0\0\0\xa6\0\0\0\x12\0\0\0\0\0\0\0\xad\0\0\0\x12\0\
\0\0\x30\0\0\0\xb6\0\0\0\x13\0\0\0\x60\0\0\0\xbe\x01\0\0\0\0\0\0\x01\0\0\0\x08\
\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\x04\0\0\0\x06\0\0\0\xcc\x08\0\0\0\0\
\0\0\x14\0\0\0\xd3\x08\0\0\0\0\0\0\x15\0\0\0\xd9\x01\0\0\0\0\0\0\x02\0\0\0\x10\
\0\0\0\xe8\x84\0\0\x0a\0\0\0\x14\0\0\0\xee\0\0\0\x17\x04\0\0\0\0\0\0\xf6\0\0\0\
\x17\x04\0\0\x04\0\0\0\xfa\0\0\0\x17\0\0\0\x08\0\0\0\xfe\0\0\0\x13\0\0\0\x10\0\
\0\x01\x06\0\0\0\x13\0\0\0\x20\0\0\x01\x09\0\0\0\x13\0\0\0\x30\0\0\x01\x12\0\0\
\0\x17\0\0\0\x40\0\0\x01\x16\0\0\0\x17\0\0\0\x48\0\0\x01\x1f\0\0\0\x18\0\0\0\
\x50\0\0\0\0\0\0\0\x19\0\0\0\x60\0\0\x01\x25\x08\0\0\0\0\0\0\x11\0\0\x01\x2a\
\x08\0\0\0\0\0\0\x14\0\0\0\0\x05\0\0\x02\0\0\0\x08\0\0\0\0\0\0\0\x1a\0\0\0\0\0\
\0\x01\x32\0\0\0\x1a\0\0\0\0\0\0\0\0\x04\0\0\x02\0\0\0\x08\0\0\x01\x38\0\0\0\
\x1b\0\0\0\0\0\0\x01\x3e\0\0\0\x1b\0\0\0\x20\0\0\x01\x44\x08\0\0\0\0\0\0\x08\0\
\0\x01\x4b\x84\0\0\x07\0\0\0\x28\0\0\0\xee\0\0\0\x17\x04\0\0\0\0\0\x01\x53\0\0\
\0\x17\x04\0\0\x04\0\0\x01\x5c\0\0\0\x1d\0\0\0\x08\0\0\x01\x65\0\0\0\x13\0\0\0\
\x20\0\0\x01\x71\0\0\0\x17\0\0\0\x30\0\0\x01\x79\0\0\0\x17\0\0\0\x38\0\0\0\0\0\
\0\0\x1e\0\0\0\x40\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x04\0\0\0\x03\0\0\
\0\0\x05\0\0\x02\0\0\0\x20\0\0\0\0\0\0\0\x1f\0\0\0\0\0\0\x01\x32\0\0\0\x1f\0\0\
\0\0\0\0\0\0\x04\0\0\x02\0\0\0\x20\0\0\x01\x38\0\0\0\x20\0\0\0\0\0\0\x01\x3e\0\
\0\0\x20\0\0\0\x80\0\0\x01\x83\x04\0\0\x01\0\0\0\x10\0\0\x01\x8c\0\0\0\x21\0\0\
\0\0\0\0\0\0\x05\0\0\x03\0\0\0\x10\0\0\x01\x92\0\0\0\x22\0\0\0\0\0\0\x01\x9b\0\
\0\0\x23\0\0\0\0\0\0\x01\xa5\0\0\0\x24\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x17\0\0\0\x04\0\0\0\x10\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x13\0\0\0\x04\0\0\0\
\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\x04\0\0\0\x04\0\0\x01\xaf\x04\0\
\0\x04\0\0\0\x08\0\0\x01\xb6\0\0\0\x13\0\0\0\0\0\0\x01\xbd\0\0\0\x13\0\0\0\x10\
\0\0\x01\xc2\0\0\0\x13\0\0\0\x20\0\0\x01\x1f\0\0\0\x18\0\0\0\x30\0\0\0\0\x0d\0\
\0\x02\0\0\0\x02\0\0\0\0\0\0\0\x27\0\0\0\0\0\0\0\x29\0\0\0\0\x02\0\0\0\0\0\0\
\x28\0\0\0\0\x0a\0\0\0\0\0\0\x0d\0\0\0\0\x02\0\0\0\0\0\0\x2a\0\0\x01\xc6\x08\0\
\0\0\0\0\0\x2b\0\0\x01\xcc\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\x01\xdf\x0c\0\0\
\x02\0\0\0\x26\0\0\0\0\x0d\0\0\x03\0\0\0\x02\0\0\0\0\0\0\0\x27\0\0\0\0\0\0\0\
\x07\0\0\0\0\0\0\0\x2e\0\0\0\0\x02\0\0\0\0\0\0\x2f\0\0\x01\xfd\x06\0\0\x1b\0\0\
\0\x04\0\0\x02\x0f\0\0\0\x01\0\0\x02\x1f\0\0\0\x02\0\0\x02\x2f\0\0\0\x04\0\0\
\x02\x41\0\0\0\x08\0\0\x02\x4c\0\0\0\x10\0\0\x02\x5b\0\0\0\x20\0\0\x02\x6a\0\0\
\0\x40\0\0\x02\x7a\0\0\0\x80\0\0\x02\x8b\0\0\x01\0\0\0\x02\x9b\0\0\0\0\0\0\x02\
\xad\0\0\0\0\0\0\x02\xbd\0\0\0\x01\0\0\x02\xd2\0\0\0\x02\0\0\x02\xe7\0\0\0\x05\
\0\0\x03\0\0\0\0\x06\0\0\x03\x18\0\0\0\x08\0\0\x03\x2c\0\0\0\x19\0\0\x03\x45\0\
\0\0\x29\0\0\x03\x5e\0\0\0\x49\0\0\x03\x78\0\0\x01\x09\0\0\x03\x92\0\0\0\x1a\0\
\0\x03\xab\0\0\0\x2a\0\0\x03\xc4\0\0\0\x4a\0\0\x03\xde\0\0\x01\x0a\0\0\x03\xf8\
\0\0\0\x1e\0\0\x04\x14\0\0\0\x2e\0\0\x04\x30\0\0\0\x4e\0\0\x04\x4d\x0c\0\0\x02\
\0\0\0\x2d\0\0\0\0\x0d\0\0\x03\0\0\0\x02\0\0\0\0\0\0\0\x27\0\0\0\0\0\0\0\x32\0\
\0\0\0\0\0\0\x33\0\0\0\0\x02\0\0\0\0\0\0\x13\0\0\0\0\x02\0\0\0\0\0\0\x14\0\0\
\x04\x66\x0c\0\0\x02\0\0\0\x31\0\0\x04\x83\x0e\0\0\0\0\0\0\x2a\0\0\0\x01\0\0\
\x04\x8d\x0e\0\0\0\0\0\0\x2a\0\0\0\x01\0\0\x04\x97\x0e\0\0\0\0\0\0\x2a\0\0\0\
\x01\0\0\x04\xa2\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\x38\0\0\0\x04\0\0\0\x04\0\0\x04\xa7\x0e\0\0\0\0\0\0\x39\0\0\0\x01\0\0\x0a\
\xbb\x0f\0\0\x03\0\0\0\x18\0\0\0\x35\0\0\0\0\0\0\0\x08\0\0\0\x36\0\0\0\x08\0\0\
\0\x08\0\0\0\x37\0\0\0\x10\0\0\0\x08\0\0\x0a\xc0\x0f\0\0\x01\0\0\0\x20\0\0\0\
\x0b\0\0\0\0\0\0\0\x20\0\0\x0a\xc6\x0f\0\0\x01\0\0\0\x04\0\0\0\x3a\0\0\0\0\0\0\
\0\x04\0\0\x0a\xce\x0f\0\0\x03\0\0\0\0\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\
\0\0\0\0\0\0\0\0\0\x34\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\
\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x5f\x75\x33\x32\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x74\x79\x70\x65\0\x6d\x61\
\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x78\
\x73\x6b\0\x78\x64\x70\x5f\x6d\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\
\x6e\x64\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x69\x6e\x67\x72\x65\x73\x73\
\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x72\x78\x5f\x71\x75\x65\x75\x65\x5f\x69\x6e\
\x64\x65\x78\0\x65\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x63\
\x74\x78\0\x72\x78\0\x65\x74\x68\x68\x64\x72\0\x68\x5f\x64\x65\x73\x74\0\x68\
\x5f\x73\x6f\x75\x72\x63\x65\0\x68\x5f\x70\x72\x6f\x74\x6f\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x5f\x5f\x62\x65\x31\x36\0\x5f\x5f\x75\
\x31\x36\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x69\x70\
\x68\x64\x72\0\x76\x65\x72\x73\x69\x6f\x6e\0\x69\x68\x6c\0\x74\x6f\x73\0\x74\
\x6f\x74\x5f\x6c\x65\x6e\0\x69\x64\0\x66\x72\x61\x67\x5f\x6f\x66\x66\0\x74\x74\
\x6c\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x63\x68\x65\x63\x6b\0\x5f\x5f\x75\x38\
\0\x5f\x5f\x73\x75\x6d\x31\x36\0\x61\x64\x64\x72\x73\0\x73\x61\x64\x64\x72\0\
\x64\x61\x64\x64\x72\0\x5f\x5f\x62\x65\x33\x32\0\x69\x70\x76\x36\x68\x64\x72\0\
\x70\x72\x69\x6f\x72\x69\x74\x79\0\x66\x6c\x6f\x77\x5f\x6c\x62\x6c\0\x70\x61\
\x79\x6c\x6f\x61\x64\x5f\x6c\x65\x6e\0\x6e\x65\x78\x74\x68\x64\x72\0\x68\x6f\
\x70\x5f\x6c\x69\x6d\x69\x74\0\x69\x6e\x36\x5f\x61\x64\x64\x72\0\x69\x6e\x36\
\x5f\x75\0\x75\x36\x5f\x61\x64\x64\x72\x38\0\x75\x36\x5f\x61\x64\x64\x72\x31\
\x36\0\x75\x36\x5f\x61\x64\x64\x72\x33\x32\0\x75\x64\x70\x68\x64\x72\0\x73\x6f\
\x75\x72\x63\x65\0\x64\x65\x73\x74\0\x6c\x65\x6e\0\x5f\x5f\x75\x36\x34\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x62\x70\
\x66\x5f\x78\x64\x70\x5f\x6d\x65\x74\x61\x64\x61\x74\x61\x5f\x72\x78\x5f\x74\
\x69\x6d\x65\x73\x74\x61\x6d\x70\0\x78\x64\x70\x5f\x72\x73\x73\x5f\x68\x61\x73\
\x68\x5f\x74\x79\x70\x65\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x4c\x33\x5f\x49\x50\
\x56\x34\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x4c\x33\x5f\x49\x50\x56\x36\0\x58\
\x44\x50\x5f\x52\x53\x53\x5f\x4c\x33\x5f\x44\x59\x4e\x48\x44\x52\0\x58\x44\x50\
\x5f\x52\x53\x53\x5f\x4c\x34\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x4c\x34\x5f\x54\
\x43\x50\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x4c\x34\x5f\x55\x44\x50\0\x58\x44\
\x50\x5f\x52\x53\x53\x5f\x4c\x34\x5f\x53\x43\x54\x50\0\x58\x44\x50\x5f\x52\x53\
\x53\x5f\x4c\x34\x5f\x49\x50\x53\x45\x43\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x4c\
\x34\x5f\x49\x43\x4d\x50\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\
\x4e\x4f\x4e\x45\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x32\
\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x33\x5f\x49\x50\x56\
\x34\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x33\x5f\x49\x50\
\x56\x36\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x33\x5f\x49\
\x50\x56\x34\x5f\x4f\x50\x54\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\
\x5f\x4c\x33\x5f\x49\x50\x56\x36\x5f\x45\x58\0\x58\x44\x50\x5f\x52\x53\x53\x5f\
\x54\x59\x50\x45\x5f\x4c\x34\x5f\x41\x4e\x59\0\x58\x44\x50\x5f\x52\x53\x53\x5f\
\x54\x59\x50\x45\x5f\x4c\x34\x5f\x49\x50\x56\x34\x5f\x54\x43\x50\0\x58\x44\x50\
\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x34\x5f\x49\x50\x56\x34\x5f\x55\
\x44\x50\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x34\x5f\x49\
\x50\x56\x34\x5f\x53\x43\x54\x50\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\
\x45\x5f\x4c\x34\x5f\x49\x50\x56\x34\x5f\x49\x43\x4d\x50\0\x58\x44\x50\x5f\x52\
\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x34\x5f\x49\x50\x56\x36\x5f\x54\x43\x50\0\
\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x34\x5f\x49\x50\x56\
\x36\x5f\x55\x44\x50\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\
\x34\x5f\x49\x50\x56\x36\x5f\x53\x43\x54\x50\0\x58\x44\x50\x5f\x52\x53\x53\x5f\
\x54\x59\x50\x45\x5f\x4c\x34\x5f\x49\x50\x56\x36\x5f\x49\x43\x4d\x50\0\x58\x44\
\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x34\x5f\x49\x50\x56\x36\x5f\
\x54\x43\x50\x5f\x45\x58\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\
\x4c\x34\x5f\x49\x50\x56\x36\x5f\x55\x44\x50\x5f\x45\x58\0\x58\x44\x50\x5f\x52\
\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x34\x5f\x49\x50\x56\x36\x5f\x53\x43\x54\
\x50\x5f\x45\x58\0\x62\x70\x66\x5f\x78\x64\x70\x5f\x6d\x65\x74\x61\x64\x61\x74\
\x61\x5f\x72\x78\x5f\x68\x61\x73\x68\0\x62\x70\x66\x5f\x78\x64\x70\x5f\x6d\x65\
\x74\x61\x64\x61\x74\x61\x5f\x72\x78\x5f\x76\x6c\x61\x6e\x5f\x74\x61\x67\0\x70\
\x6b\x74\x73\x5f\x73\x6b\x69\x70\0\x70\x6b\x74\x73\x5f\x66\x61\x69\x6c\0\x70\
\x6b\x74\x73\x5f\x72\x65\x64\x69\x72\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x35\x31\x36\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\
\x2e\x30\x2d\x35\x31\x36\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x78\x64\x70\x5f\x68\x77\
\x5f\x6d\x65\x74\x61\x64\x61\x74\x61\x2e\x63\0\x09\x64\x61\x74\x61\x5f\x65\x6e\
\x64\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x28\x6c\x6f\x6e\x67\x29\x63\
\x74\x78\x2d\x3e\x64\x61\x74\x61\x5f\x65\x6e\x64\x3b\0\x09\x64\x61\x74\x61\x20\
\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x28\x6c\x6f\x6e\x67\x29\x63\x74\x78\
\x2d\x3e\x64\x61\x74\x61\x3b\0\x09\x69\x66\x20\x28\x65\x74\x68\x20\x2b\x20\x31\
\x20\x3c\x20\x64\x61\x74\x61\x5f\x65\x6e\x64\x20\x26\x26\x20\x28\x65\x74\x68\
\x2d\x3e\x68\x5f\x70\x72\x6f\x74\x6f\x20\x3d\x3d\x20\x62\x70\x66\x5f\x68\x74\
\x6f\x6e\x73\x28\x45\x54\x48\x5f\x50\x5f\x38\x30\x32\x31\x41\x44\x29\x20\x7c\
\x7c\0\x09\x09\x09\x09\x20\x20\x20\x65\x74\x68\x2d\x3e\x68\x5f\x70\x72\x6f\x74\
\x6f\x20\x3d\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\x73\x28\x45\x54\x48\x5f\
\x50\x5f\x38\x30\x32\x31\x51\x29\x29\x29\0\x09\x09\x65\x74\x68\x20\x3d\x20\x28\
\x76\x6f\x69\x64\x20\x2a\x29\x65\x74\x68\x20\x2b\x20\x73\x69\x7a\x65\x6f\x66\
\x28\x73\x74\x72\x75\x63\x74\x20\x76\x6c\x61\x6e\x5f\x68\x64\x72\x29\x3b\0\x09\
\x69\x66\x20\x28\x65\x74\x68\x20\x2b\x20\x31\x20\x3c\x20\x64\x61\x74\x61\x5f\
\x65\x6e\x64\x20\x26\x26\x20\x65\x74\x68\x2d\x3e\x68\x5f\x70\x72\x6f\x74\x6f\
\x20\x3d\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\x73\x28\x45\x54\x48\x5f\x50\
\x5f\x38\x30\x32\x31\x51\x29\x29\0\x09\x69\x66\x20\x28\x65\x74\x68\x20\x2b\x20\
\x31\x20\x3c\x20\x64\x61\x74\x61\x5f\x65\x6e\x64\x29\x20\x7b\0\x09\x09\x69\x66\
\x20\x28\x65\x74\x68\x2d\x3e\x68\x5f\x70\x72\x6f\x74\x6f\x20\x3d\x3d\x20\x62\
\x70\x66\x5f\x68\x74\x6f\x6e\x73\x28\x45\x54\x48\x5f\x50\x5f\x49\x50\x29\x29\
\x20\x7b\0\x09\x09\x09\x69\x66\x20\x28\x69\x70\x68\x20\x2b\x20\x31\x20\x3c\x20\
\x64\x61\x74\x61\x5f\x65\x6e\x64\x20\x26\x26\x20\x69\x70\x68\x2d\x3e\x70\x72\
\x6f\x74\x6f\x63\x6f\x6c\x20\x3d\x3d\x20\x49\x50\x50\x52\x4f\x54\x4f\x5f\x55\
\x44\x50\x29\0\x09\x09\x69\x66\x20\x28\x65\x74\x68\x2d\x3e\x68\x5f\x70\x72\x6f\
\x74\x6f\x20\x3d\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\x73\x28\x45\x54\x48\
\x5f\x50\x5f\x49\x50\x56\x36\x29\x29\x20\x7b\0\x09\x09\x09\x69\x66\x20\x28\x69\
\x70\x36\x68\x20\x2b\x20\x31\x20\x3c\x20\x64\x61\x74\x61\x5f\x65\x6e\x64\x20\
\x26\x26\x20\x69\x70\x36\x68\x2d\x3e\x6e\x65\x78\x74\x68\x64\x72\x20\x3d\x3d\
\x20\x49\x50\x50\x52\x4f\x54\x4f\x5f\x55\x44\x50\x29\0\x09\x09\x69\x66\x20\x28\
\x75\x64\x70\x20\x26\x26\x20\x75\x64\x70\x20\x2b\x20\x31\x20\x3e\x20\x64\x61\
\x74\x61\x5f\x65\x6e\x64\x29\0\x7d\0\x09\x69\x66\x20\x28\x75\x64\x70\x2d\x3e\
\x64\x65\x73\x74\x20\x21\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\x73\x28\x39\
\x30\x39\x31\x29\x29\x20\x7b\0\x09\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x78\
\x64\x70\x5f\x61\x64\x6a\x75\x73\x74\x5f\x6d\x65\x74\x61\x28\x63\x74\x78\x2c\
\x20\x2d\x28\x69\x6e\x74\x29\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x72\x75\x63\
\x74\x20\x78\x64\x70\x5f\x6d\x65\x74\x61\x29\x29\x3b\0\x09\x69\x66\x20\x28\x65\
\x72\x72\x29\x20\x7b\0\x09\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\x20\x3d\x20\x28\
\x76\x6f\x69\x64\x20\x2a\x29\x28\x6c\x6f\x6e\x67\x29\x63\x74\x78\x2d\x3e\x64\
\x61\x74\x61\x5f\x6d\x65\x74\x61\x3b\0\x09\x69\x66\x20\x28\x6d\x65\x74\x61\x20\
\x2b\x20\x31\x20\x3e\x20\x64\x61\x74\x61\x29\x20\x7b\0\x09\x6d\x65\x74\x61\x2d\
\x3e\x68\x69\x6e\x74\x5f\x76\x61\x6c\x69\x64\x20\x3d\x20\x30\x3b\0\x09\x6d\x65\
\x74\x61\x2d\x3e\x78\x64\x70\x5f\x74\x69\x6d\x65\x73\x74\x61\x6d\x70\x20\x3d\
\x20\x62\x70\x66\x5f\x6b\x74\x69\x6d\x65\x5f\x67\x65\x74\x5f\x74\x61\x69\x5f\
\x6e\x73\x28\x29\x3b\0\x09\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x78\x64\x70\
\x5f\x6d\x65\x74\x61\x64\x61\x74\x61\x5f\x72\x78\x5f\x74\x69\x6d\x65\x73\x74\
\x61\x6d\x70\x28\x63\x74\x78\x2c\x20\x26\x6d\x65\x74\x61\x2d\x3e\x72\x78\x5f\
\x74\x69\x6d\x65\x73\x74\x61\x6d\x70\x29\x3b\0\x09\x69\x66\x20\x28\x65\x72\x72\
\x29\0\x09\x09\x6d\x65\x74\x61\x2d\x3e\x72\x78\x5f\x74\x69\x6d\x65\x73\x74\x61\
\x6d\x70\x5f\x65\x72\x72\x20\x3d\x20\x65\x72\x72\x3b\0\x09\x09\x6d\x65\x74\x61\
\x2d\x3e\x68\x69\x6e\x74\x5f\x76\x61\x6c\x69\x64\x20\x7c\x3d\x20\x58\x44\x50\
\x5f\x4d\x45\x54\x41\x5f\x46\x49\x45\x4c\x44\x5f\x54\x53\x3b\0\x09\x65\x72\x72\
\x20\x3d\x20\x62\x70\x66\x5f\x78\x64\x70\x5f\x6d\x65\x74\x61\x64\x61\x74\x61\
\x5f\x72\x78\x5f\x68\x61\x73\x68\x28\x63\x74\x78\x2c\x20\x26\x6d\x65\x74\x61\
\x2d\x3e\x72\x78\x5f\x68\x61\x73\x68\x2c\0\x09\x09\x09\x09\x20\x20\x20\x20\x20\
\x20\x20\x26\x6d\x65\x74\x61\x2d\x3e\x72\x78\x5f\x68\x61\x73\x68\x5f\x74\x79\
\x70\x65\x29\x3b\0\x09\x09\x6d\x65\x74\x61\x2d\x3e\x72\x78\x5f\x68\x61\x73\x68\
\x5f\x65\x72\x72\x20\x3d\x20\x65\x72\x72\x3b\0\x09\x09\x6d\x65\x74\x61\x2d\x3e\
\x68\x69\x6e\x74\x5f\x76\x61\x6c\x69\x64\x20\x7c\x3d\x20\x58\x44\x50\x5f\x4d\
\x45\x54\x41\x5f\x46\x49\x45\x4c\x44\x5f\x52\x53\x53\x3b\0\x09\x65\x72\x72\x20\
\x3d\x20\x62\x70\x66\x5f\x78\x64\x70\x5f\x6d\x65\x74\x61\x64\x61\x74\x61\x5f\
\x72\x78\x5f\x76\x6c\x61\x6e\x5f\x74\x61\x67\x28\x63\x74\x78\x2c\x20\x26\x6d\
\x65\x74\x61\x2d\x3e\x72\x78\x5f\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\x2c\0\
\x09\x09\x09\x09\x09\x20\x20\x20\x26\x6d\x65\x74\x61\x2d\x3e\x72\x78\x5f\x76\
\x6c\x61\x6e\x5f\x74\x63\x69\x29\x3b\0\x09\x09\x6d\x65\x74\x61\x2d\x3e\x72\x78\
\x5f\x76\x6c\x61\x6e\x5f\x74\x61\x67\x5f\x65\x72\x72\x20\x3d\x20\x65\x72\x72\
\x3b\0\x09\x09\x6d\x65\x74\x61\x2d\x3e\x68\x69\x6e\x74\x5f\x76\x61\x6c\x69\x64\
\x20\x7c\x3d\x20\x58\x44\x50\x5f\x4d\x45\x54\x41\x5f\x46\x49\x45\x4c\x44\x5f\
\x56\x4c\x41\x4e\x5f\x54\x41\x47\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x61\x64\
\x64\x5f\x61\x6e\x64\x5f\x66\x65\x74\x63\x68\x28\x26\x70\x6b\x74\x73\x5f\x72\
\x65\x64\x69\x72\x2c\x20\x31\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\
\x66\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x28\x26\x78\x73\x6b\
\x2c\x20\x63\x74\x78\x2d\x3e\x72\x78\x5f\x71\x75\x65\x75\x65\x5f\x69\x6e\x64\
\x65\x78\x2c\x20\x58\x44\x50\x5f\x50\x41\x53\x53\x29\x3b\0\x30\x3a\x31\0\x30\
\x3a\x30\0\x30\x3a\x32\0\x30\x3a\x37\0\x30\x3a\x34\0\x2e\x62\x73\x73\0\x2e\x6d\
\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x73\x79\x6d\x73\0\x78\x64\
\x70\x2e\x66\x72\x61\x67\x73\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\
\0\x14\0\0\x04\x0c\0\0\x04\x20\0\0\0\xdc\0\0\0\x08\0\0\x0a\xd5\0\0\0\x01\0\0\0\
\0\0\0\0\x0f\0\0\0\x10\0\0\x0a\xd5\0\0\0\x40\0\0\0\0\0\0\x04\xb0\0\0\x05\x2b\0\
\0\x9c\x20\0\0\0\x08\0\0\x04\xb0\0\0\x05\x54\0\0\x98\x1c\0\0\0\x10\0\0\x04\xb0\
\0\0\x05\x75\0\0\xa8\x0a\0\0\0\x20\0\0\x04\xb0\0\0\x05\x75\0\0\xa8\x19\0\0\0\
\x28\0\0\x04\xb0\0\0\x05\x75\0\0\xa8\x22\0\0\0\x30\0\0\x04\xb0\0\0\x05\x75\0\0\
\xa8\x45\0\0\0\x38\0\0\x04\xb0\0\0\x05\xbc\0\0\xac\x0d\0\0\0\x40\0\0\x04\xb0\0\
\0\x05\x75\0\0\xa8\x06\0\0\0\x48\0\0\x04\xb0\0\0\x05\xec\0\0\xb0\x15\0\0\0\x50\
\0\0\x04\xb0\0\0\x06\x1b\0\0\xb8\x0a\0\0\0\x60\0\0\x04\xb0\0\0\x06\x1b\0\0\xb8\
\x19\0\0\0\x68\0\0\x04\xb0\0\0\x06\x1b\0\0\xb8\x21\0\0\0\x70\0\0\x04\xb0\0\0\
\x06\x1b\0\0\xb8\x06\0\0\0\x78\0\0\x04\xb0\0\0\x05\xec\0\0\xbc\x15\0\0\0\x80\0\
\0\x04\xb0\0\0\x06\x5e\0\0\xc4\x0a\0\0\0\x90\0\0\x04\xb0\0\0\x06\x5e\0\0\xc4\
\x06\0\0\0\xa0\0\0\x04\xb0\0\0\x06\x79\0\0\xc8\x0c\0\0\0\xa8\0\0\x04\xb0\0\0\
\x06\x79\0\0\xc8\x07\0\0\0\xb0\0\0\x04\xb0\0\0\x06\xa6\0\0\xd0\x0c\0\0\0\xc0\0\
\0\x04\xb0\0\0\x06\xa6\0\0\xd0\x1b\0\0\0\xc8\0\0\x04\xb0\0\0\x06\xa6\0\0\xd0\
\x23\0\0\0\xd0\0\0\x04\xb0\0\0\x06\xa6\0\0\xd0\x08\0\0\0\xe0\0\0\x04\xb0\0\0\
\x06\xe1\0\0\xdc\x0c\0\0\0\xe8\0\0\x04\xb0\0\0\x06\xe1\0\0\xdc\x07\0\0\0\xf0\0\
\0\x04\xb0\0\0\x07\x10\0\0\xe4\x0d\0\0\0\xf8\0\0\x04\xb0\0\0\x07\x10\0\0\xe4\
\x1c\0\0\x01\0\0\0\x04\xb0\0\0\x07\x10\0\0\xe4\x25\0\0\x01\x08\0\0\x04\xb0\0\0\
\x07\x10\0\0\xe4\x08\0\0\x01\x18\0\0\x04\xb0\0\0\x07\x4c\0\0\xf0\x0b\0\0\x01\
\x20\0\0\x04\xb0\0\0\x07\x4c\0\0\xf0\x12\0\0\x01\x30\0\0\x04\xb0\0\0\x07\x4c\0\
\0\xf0\x07\0\0\x01\x40\0\0\x04\xb0\0\0\0\0\0\0\0\0\0\0\x01\x60\0\0\x04\xb0\0\0\
\x07\x6d\0\x01\xcc\x01\0\0\x01\x68\0\0\x04\xb0\0\0\x07\x6f\0\x01\x18\x0b\0\0\
\x01\x70\0\0\x04\xb0\0\0\x07\x6f\0\x01\x18\x06\0\0\x01\x88\0\0\x04\xb0\0\0\x07\
\x94\0\x01\x2c\x08\0\0\x01\x98\0\0\x04\xb0\0\0\x07\xd4\0\x01\x30\x06\0\0\x01\
\xa8\0\0\x04\xb0\0\0\0\0\0\0\0\0\0\0\x01\xc8\0\0\x04\xb0\0\0\x05\x54\0\x01\x44\
\x1c\0\0\x01\xd0\0\0\x04\xb0\0\0\x07\xe0\0\x01\x48\x21\0\0\x01\xd8\0\0\x04\xb0\
\0\0\x08\x0b\0\x01\x54\x0b\0\0\x01\xe8\0\0\x04\xb0\0\0\x08\x0b\0\x01\x54\x06\0\
\0\x02\0\0\0\x04\xb0\0\0\x08\x23\0\x01\x68\x13\0\0\x02\x08\0\0\x04\xb0\0\0\x08\
\x3a\0\x01\x70\x18\0\0\x02\x10\0\0\x04\xb0\0\0\x08\x3a\0\x01\x70\x16\0\0\x02\
\x18\0\0\x04\xb0\0\0\x08\x69\0\x01\x74\x08\0\0\x02\x30\0\0\x04\xb0\0\0\x08\xa9\
\0\x01\x78\x06\0\0\x02\x38\0\0\x04\xb0\0\0\x08\xb3\0\x01\x7c\x1a\0\0\x02\x48\0\
\0\x04\xb0\0\0\x08\xd3\0\x01\x84\x14\0\0\x02\x60\0\0\x04\xb0\0\0\x08\xfc\0\x01\
\x8c\x2d\0\0\x02\x70\0\0\x04\xb0\0\0\x09\x31\0\x01\x90\x13\0\0\x02\x80\0\0\x04\
\xb0\0\0\x08\xfc\0\x01\x8c\x08\0\0\x02\x98\0\0\x04\xb0\0\0\x08\xa9\0\x01\x94\
\x06\0\0\x02\xa0\0\0\x04\xb0\0\0\x09\x52\0\x01\x98\x15\0\0\x02\xb0\0\0\x04\xb0\
\0\0\x09\x6d\0\x01\xa0\x14\0\0\x02\xc8\0\0\x04\xb0\0\0\x09\x97\0\x01\xa8\x31\0\
\0\x02\xd8\0\0\x04\xb0\0\0\x09\xd6\0\x01\xac\x10\0\0\x02\xe8\0\0\x04\xb0\0\0\
\x09\x97\0\x01\xa8\x08\0\0\x03\0\0\0\x04\xb0\0\0\x08\xa9\0\x01\xb0\x06\0\0\x03\
\x08\0\0\x04\xb0\0\0\x09\xf3\0\x01\xb4\x19\0\0\x03\x18\0\0\x04\xb0\0\0\x0a\x12\
\0\x01\xbc\x14\0\0\x03\x38\0\0\x04\xb0\0\0\x0a\x41\0\x01\xc4\x02\0\0\x03\x50\0\
\0\x04\xb0\0\0\x0a\x68\0\x01\xc8\x25\0\0\x03\x58\0\0\x04\xb0\0\0\x0a\x68\0\x01\
\xc8\x09\0\0\0\x10\0\0\x0a\xd5\0\0\0\x0d\0\0\0\0\0\0\0\x0d\0\0\x0a\xa7\0\0\0\0\
\0\0\0\x08\0\0\0\x0d\0\0\x0a\xab\0\0\0\0\0\0\0\x28\0\0\0\x10\0\0\x0a\xaf\0\0\0\
\0\0\0\0\x38\0\0\0\x10\0\0\x0a\xaf\0\0\0\0\0\0\0\x68\0\0\0\x10\0\0\x0a\xaf\0\0\
\0\0\0\0\0\xa0\0\0\0\x10\0\0\x0a\xaf\0\0\0\0\0\0\0\xc8\0\0\0\x16\0\0\x0a\xb3\0\
\0\0\0\0\0\0\xe0\0\0\0\x10\0\0\x0a\xaf\0\0\0\0\0\0\x01\0\0\0\0\x1c\0\0\x0a\xb7\
\0\0\0\0\0\0\x01\x68\0\0\0\x25\0\0\x0a\xa7\0\0\0\0\0\0\x01\xc8\0\0\0\x0d\0\0\
\x0a\xab\0\0\0\0\0\0\x01\xd0\0\0\0\x0d\0\0\x0a\xaf\0\0\0\0\0\0\x03\x50\0\0\0\
\x0d\0\0\x0a\xb7\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\x01\x7c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\
\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xc0\0\0\0\0\0\0\x03\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\
\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xc0\0\0\0\0\0\0\x03\x80\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\x08\0\0\0\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x40\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\x40\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\x60\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\x01\x60\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x68\
\0\0\0\0\0\0\0\x70\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\
\x01\x6e\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\xd8\0\0\0\0\
\0\0\x12\x17\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\x73\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\xf0\0\0\0\0\0\0\x05\x1c\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct xdp_hw_metadata *xdp_hw_metadata::open(const struct bpf_object_open_opts *opts) { return xdp_hw_metadata__open_opts(opts); }
struct xdp_hw_metadata *xdp_hw_metadata::open_and_load() { return xdp_hw_metadata__open_and_load(); }
int xdp_hw_metadata::load(struct xdp_hw_metadata *skel) { return xdp_hw_metadata__load(skel); }
int xdp_hw_metadata::attach(struct xdp_hw_metadata *skel) { return xdp_hw_metadata__attach(skel); }
void xdp_hw_metadata::detach(struct xdp_hw_metadata *skel) { xdp_hw_metadata__detach(skel); }
void xdp_hw_metadata::destroy(struct xdp_hw_metadata *skel) { xdp_hw_metadata__destroy(skel); }
const void *xdp_hw_metadata::elf_bytes(size_t *sz) { return xdp_hw_metadata__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
xdp_hw_metadata__assert(struct xdp_hw_metadata *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->pkts_skip) == 8, "unexpected size of 'pkts_skip'");
	_Static_assert(sizeof(s->bss->pkts_fail) == 8, "unexpected size of 'pkts_fail'");
	_Static_assert(sizeof(s->bss->pkts_redir) == 8, "unexpected size of 'pkts_redir'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __XDP_HW_METADATA_SKEL_H__ */
